<%@ Page Language="vb" Debug="true" %>
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Calendar</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">

<script language="VB" runat="server" ID=Script1>

    Sub Calendar1_SelectionChanged(Sender As Object, E As EventArgs)
		Dim dt as new DateTime
		dt = Calendar1.SelectedDate
		DivText.innerText = CStr( dt.Month() ) & "/" & _
			CStr( dt.Day() ) & "/" & CStr( dt.Year() )
    End Sub

    Sub Calendar1_VisibleMonthChanged(Sender As Object, E As MonthChangedEventArgs)
    	DivText.innerText = "No current selection"
    End Sub

</script>

</head>

<body>

<p><u><font size=5>Calendar Web Control</font></u></p>
<p>The Calendar Web control displays a one-month calendar 
that the user can use to view dates or select a specific day, week, or 
month.</p>
<p>
<table cellSpacing=1 width="100%" border=1>
  <tr>
    <td bgColor=#0099cc>
      <center>Property</center></td>
    <td bgColor=#0099cc>
      <center>Value</center></td>
    <td bgColor=#0099cc>
      <center>Description</center></td></tr>
  <tr>
    <td><font size=2 
      >CellPadding</font></td>
    <td>
      <center><font size=2><em 
      >"pixels"</em></font></center></td>
    <td><font size=2>The amount of 
      space, in pixels, between cells. When programming, this property is set 
      using <u>Units</u>.</font></td>
  <tr>
    <td><font size=2>CellSpacing</font></td>
    <td><font size=2><center><em>"pixels"</em></center></font></td>
    <td><font size=2>The amount of space, in pixels, between the contents of a cell 
    and the cell's border. When programming, this property is set using <u>Units</u>.</font></td>
  </tr>
  <tr>
    <td><font size=2 
      >DayNameFormat</font></td>
    <td>
      <p align=center><font size=2 
      >"FirstLetter|FirstTwoLetters|Full|Short"</font></p></td>
    <td><font size=2>A value that 
      determines the format of the day names. Day names are derived from the 
      server's locale settings. The default is Short. When programming, 
      this property is set using the <u>DayNameFormat</u> 
  enumeration.</font></td></tr>
  <tr>
    <td><font size=2 
      >FirstDayOfWeek</font></td>
    <td>
      <p align=center><font size=2 
      >"Default|Monday|Tuesday|Wednesday|<br 
      >Thursday|Friday|Saturday|Sunday"</font></p></td>
    <td><font size=2>A value for the day of the week that 
      will be displayed in the calendar's first column. The default is 
      Default, which uses the server's locale settings to determine the 
      day. </font><font size=2>When programming, this property is set using the 
      <u>FirstDayOfWeek</u> enumeration.</font></td></tr>
  <tr>
    <td><font size=2 
      >NextMonthText</font></td>
    <td>
      <p align=center><font size=2><em 
      >"HTML text"</em></font></p></td>
    <td><font size=2>The HTML text 
      shown for the next month navigation hyperlink if ShowNextPrevMonth 
      is true. If set, this value overrides the default (the month 
      name).</font></td></tr>
  <tr>
    <td><font size=2 
      >NextPrevFormat</font></td>
    <td>
      <p align=center><font size=2 
      >"ShortMonth|FullMonth|CustomText"</font></p></td>
    <td><font size=2>A value that 
      specifies the format of the next and previous month hyperlinks in the 
      title. To create your own link text, specify Custom and set the 
      NextMonthText and PrevMonthText properties. The default is 
      Custom. When programming, this property is set using the 
      <u>NextPrevFormat</u> enumeration.</font></td></tr>
  <tr>
    <td><font size=2 
      >PrevMonthText</font></td>
    <td>
      <p align=center><font size=2><em 
      >"HTML text"</em></font></p></td>
    <td><font size=2>The HTML text 
      shown for the previous month navigation hyperlink if 
      ShowNextPrevMonth is true. If set, this value overrides the 
      default (the month name).</font></td></tr>
  <tr>
    <td><font size=2 
      >SelectedDate</font></td>
    <td>
      <p align=center><font size=2><em 
      >"date"</em></font></p></td>
    <td><font size=2>A date that 
      specifies the highlighted date. The default is the value of 
      TodaysDate. When programming, this property is set using a 
      <u>DateTime</u> data type.</font></td></tr>
  <tr>
    <td><font size=2 
      >SelectionMode</font></td>
    <td>
      <p align=center><font size=2 
      >"None|Day|DayWeek|DayWeekMonth"</font></p></td>
    <td><font ><font size=2>A value 
      that specifies whether the user can select a day, week, or month. The 
      default is Day. To disable date selection, set this property to 
      None. </font><font size=2>When programming, this property is set 
      using a <u>CalendarSelectionMode</u> enumeration.</font></font></td></tr>
  <tr>
    <td><font size=2 
      >SelectMonthText</font></td>
    <td>
      <p align=center><font size=2><em 
      >"HTML text"</em></font></p></td>
    <td><font size=2>The HTML text 
      shown for month selection in the selector column if SelectionMode 
      is DayWeekMonth.</font></td></tr>
  <tr>
    <td><font size=2>SelectWeekText</font></td>
    <td>
      <p align=center><font size=2><em>"HTML text"</em></font></p></td>
    <td><font size=2>The HTML text 
      shown for week selection in the selector column if SelectionMode is 
      DayWeek or DayWeekMonth.</font></td></tr>
  <tr>
    <td><font size=2>ShowDayHeader</font></td>
    <td>
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2>A value that 
      determines whether the names of the days of the week are 
    displayed.</font></td></tr>
  <tr>
    <td><font size=2>ShowGridLines</font></td>
    <td>
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2>A value that 
      specifies whether days are displayed with lines around them. Not all 
      browsers can display gridlines.</font></td></tr>
  <tr>
    <td><font size=2>ShowNextPrevMonth</font></td>
    <td>
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2>A value that 
      specifies whether the calendar displays next and previous month hyperlinks 
      in the title.</font></td></tr>
  <tr>
    <td><font size=2>ShowTitle</font></td>
    <td>
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2>A value that 
      specidies whether the calendar's title is displayed. Hiding the calendar 
      hides the month name and month selection hyperlinks.</font></td></tr>
  <tr>
    <td><font size=2>TitleFormat</font></td>
    <td>
      <p align=center><font size=2>"Month|MonthYear"</font></p></td>
    <td><font size=2>A value that 
      specifies how the month name is formatted in the title bar. The default is 
      Month. When programming, this property is set using the 
      <u>TitleFormat</u> enumeration.</font></td>
  <tr>
    <td><font size=2>TodaysDate</font></td>
    <td>
      <p align=center><font size=2><em>"date"</em></font></p></td>
    <td><font size=2>The date to use 
      as the current date. (This date might have to be adjusted to accommodate 
      users who are in a another time zone.) TodaysDate is displayed on 
      the calendar only if you have set properties of the TodayDayStyle 
      object. When programming, this property is set using a <u>DateTime</u> 
      data type.</font></td></tr>
  <tr>
    <td><font size=2>VisibleDate</font></td>
    <td>
      <p align=center><font size=2><em>"date"</em></font></p></td>
    <td><font size=2>A date that 
      specifies what month to display. The date can be any day within the month. 
      The VisibleDate property is updated after the 
      VisibleMonthChanged event is raised. When programming, this 
      property is set using a <u>DateTime</u> data type.</font></td></tr>
</table><br>

<table cellspacing=1 border=1 width="100%">

<TR VALIGN="top">
<Td bgColor=#0099cc><center>Events</center></Td>
<Td bgColor=#0099cc><center>Description</center></Td>
</TR>

<TR VALIGN="top">
<TD width="41%"><font size="2"><strong>OnDayRender(</strong>Object <I>sender</I>, DayRenderEventArgs <I>e</I><strong>)</strong></font></TD>
<TD width="59%">
      <p><font size="2">Raised on the server as each day cell is created. The following are properties of the <I>e</I> events argument object: <br>
      e.Cell&nbsp;(TableCell) An object representing a table cell into which the day is rendered.<br>
      e.Cell.RowSpan&nbsp;(Integer) <br>
      e.Cell.ColumnSpan&nbsp;(Integer) <br>
      e.Cell.HorizontalAlign&nbsp;(HorizontalAlign) <br>
      e.Cell.VerticalAlign&nbsp;(VerticalAlign) <br>
      e.Cell.Wrap&nbsp;(Boolean) <br>
      e.Day&nbsp;(CalendarDay) An object representing the day being rendered.<br>
      e.Day.Date&nbsp;(DateTime) The date being rendered. <br>
      e.Day.DayNumberText&nbsp;(String) The number of the day (for example, "20") as a string. <br>
      e.Day.IsOtherMonth&nbsp;(Boolean)<br>
      e.Day.IsSelectable&nbsp;(Boolean) <br>
      e.Day.IsSelected&nbsp;(Boolean)<br>
      e.Day.IsToday&nbsp;(Boolean) <br>e.Day.IsWeekend&nbsp;(Boolean)</font></p>
</TD>
</TR>

<TR VALIGN="top">
<TD width="41%"><font size="2"><strong>OnVisibleMonthChanged(</strong>Object <I>sender</I>, MonthChangedEventArgs <I>e</I><strong>)</strong></font></TD>
<TD width="59%">
      <p><font size="2">Raised on the server when the user clicks a button for the next or 
      previous month in the Calendar's title. The following are properties of the <I>e</I> events argument 
      object:<br>
      e.NewDate&nbsp;&nbsp;&nbsp;(DateTime) <br>
      e.PreviousDate&nbsp;&nbsp;&nbsp;(DateTime)</font></p>
</TD>
</TR>

<TR VALIGN="top">
<TD width="41%"><font size="2"><strong>OnSelectionChanged(</strong>Object <I>sender</I>, EventArgs <I>e</I><strong>)</strong></font></TD>
<TD width="59%"><font size="2">Raised on the server when the user 
      selects a day, week, or month selector. This event always causes the page 
      to be posted to the server. The <I>e </I>events 
      argument object has no properties.</font>
</TD>
</TR>
</table><br>
<table border=1 width=100%>
	<tr>
		<td><b>Example</b></td>
		<td><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
<center>
<div id=DivText runat="server">No Selection</div>
<form runat="server">
<asp:Calendar id=Calendar1
	OnSelectionChanged="Calendar1_SelectionChanged"
	OnVisibleMonthChanged="Calendar1_VisibleMonthChanged"
	runat="server">
</asp:Calendar>
</form>
</center>
		</td>
		<td>
<font SIZE="1" COLOR="#0000c0">&lt;script language</font><font SIZE="1" COLOR="#000000">=&quot;VB&quot;</font><font SIZE="1" COLOR="#0000c0">
runat</font><font SIZE="1" COLOR="#000000">=&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">
ID=Script1&gt;<br>
</font>&nbsp; <font SIZE="1" COLOR="#800000">Sub
Calendar1_SelectionChanged(Sender As Object, E As EventArgs)<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Dim dt as new DateTime<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">dt =
Calendar1.SelectedDate<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">DivText.innerText =
CStr( dt.Month() ) &amp; &quot;/&quot; &amp; _<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">CStr(
dt.Day() ) &amp; &quot;/&quot; &amp; CStr( dt.Year() )<br>
End Sub</font><font SIZE="1" COLOR="#800000">
<p>Sub Calendar1_VisibleMonthChanged(Sender As Object, E As
MonthChangedEventArgs)<br>
</font>&nbsp; <font SIZE="1" COLOR="#800000">DivText.innerText = &quot;No
current selection&quot;<br>
End Sub<br>
</font><font SIZE="1" COLOR="#0000c0">&lt;/script&gt;</p>
<p>&lt;center&gt;<br>
&lt;div id=</font><font SIZE="1" COLOR="#000000">DivText</font><font SIZE="1" COLOR="#0000c0">
runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;</font><font SIZE="1" COLOR="#000000">No
Selection</font><font SIZE="1" COLOR="#0000c0">&lt;/div&gt;<br>
&lt;form runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
&lt;asp:Calendar id=</font><font SIZE="1" COLOR="#000000">Calendar1<br>
</font>&nbsp; <font SIZE="1" COLOR="#0000c0">OnSelectionChanged=</font><font SIZE="1" COLOR="#000000">&quot;Calendar1_SelectionChanged&quot;<br>
</font>&nbsp; <font SIZE="1" COLOR="#0000c0">OnVisibleMonthChanged=</font><font SIZE="1" COLOR="#000000">&quot;Calendar1_VisibleMonthChanged&quot;<br>
</font>&nbsp; <font SIZE="1" COLOR="#0000c0">runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
&lt;/asp:Calendar&gt;<br>
&lt;/form&gt;<br>
&lt;/center&gt;</font>
		</td>
	</tr>
</table>

&nbsp;
<p align="center">Type in your ASP.NET code below and try your hand at using
asp:Calendar</p>
<center>

<form id=CreateASPNET method=POST action="CreateASPNET/CreateASPNET.asp" target="_blank" >
<textarea name="ASPNETData" cols="80" rows="10" style="font-size: 12pt"></textarea><br>
<input type="submit" value="Submit" name="B2"> &nbsp;&nbsp;&nbsp; VB:<input type="radio" value="VB" checked name="R1">&nbsp;&nbsp;
C#:<input type="radio" name="R1" value="CSharp">&nbsp;&nbsp;
No Language:<input type="radio" name="R1" value="None">
</form>
</center>
&nbsp;
</body>

</html>
