<%@ Page Language="vb" Debug="true" AutoEventWireup="false" %>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>AdRotator</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///D:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">
</head>

<body>

<p><font size=5><u>AdRotator Web Control</u></font></p>
<p>The AdRotator Web control displays ad banners on Web pages. It changes 
the displayed ad each time the Web page is refreshed</p>
<center>
<table cellspacing=1 width="100%" border=1>
  <tr>
    <td bgcolor="#0099cc"><center>Property</center></td>
    <td bgcolor="#0099cc"><center>Value</center></td>
    <td bgcolor="#0099cc"><center>Description</center></td>
  </tr>
  <tr>
    <td><font size=2>AdvertisementFile</font></td>
    <td>
      <p align=center><font size=2><em>"AdvertisementFile"</em></font></p></td>
    <td><font size=2>The path to a 
      well-formed XML file containing advertisement information. For information 
      about the format of this file, see "Advertisement File Format" 
      below.</font></td>
  </tr>
  <tr>
    <td><font size=2>KeywordFilter</font></td>
    <td>
      <p align=center><font size=2><em>"propertyvalue"</em></font></p></td>
    <td><font size=2>Indicates a category filter to pass 
      to the source of ads, as follows: </font>
      <li><font size=2>If the ad source is specified in the <b>AdvertisementFile</b> property and the <b>KeywordFilter</b> property 
       is set, an ad with a matching keyword will be selected. </font>
      <li><font size=2>If the ad source is specified in the 
        <b>AdvertisementFile</b> property and the <b>KeywordFilter</b> property 
        is set but no match exists, the AdRotator control will render as a blank 
        image and a trace warning will be generated. </font>
      <li><font size=2>If the <b>KeywordFilter</b> property is empty, keyword 
        filtering will not be used to select the ad. </font></li></td>
  </tr>
  <tr>
    <td><font size=2>Target</font></td>
    <td>
      <p align=center><font size=2><em>"HTML text"</em></font></p></td>
    <td><font size=2>Specifies the 
      name of the browser window or frame in which to display the advertisement. 
      This parameter can also be one of the HTML frame-keywords, such as _TOP, 
      _NEW, _CHILD, _SELF, _PARENT, or _BLANK.</font></td>
  </tr>
</table><br>

<table cellspacing=1 width="100%" border=1>

<TR VALIGN="top">
<Td bgcolor="#0099cc">Event</Td>
<Td bgcolor="#0099cc">Description</Td>
</TR>

<TR VALIGN="top">
<TD width="32%"><font size=2><B>OnAdCreated(</B>Object sender, AdCreatedEventArgs e<B>)</B></font></TD>
<TD width="68%"><font size=2>Raised on the server once per round trip, after control creation and immediately before the page is rendered. If an <B>AdvertisementFile</B> is provided, <B>OnAdCreated</B> is raised after an ad 
      has been selected from the file. </font><font size=2>Properties of the <I>e</I> events argument object: </font>
      <ul type=disc>
	<LI><font size=2><I>e</I>.<B>AdProperties</B>&nbsp;&nbsp;&nbsp;(IDictionary) 
        </font>

	<LI><font size=2><I>e</I>.<B>AlternateText</B>&nbsp;&nbsp;&nbsp;(string) </font>

	<LI><font size=2><I>e</I>.<B>ImageUrl</B>&nbsp;&nbsp;&nbsp;(string) </font>

	<LI><font size=2><I>e</I>.<B>NavigateUrl</B>&nbsp;&nbsp;&nbsp;(string)</font></LI></ul>
</TD>
</TR>
</table><br>

<table border=1 width=100%>
	<tr>
		<td><b>Example</b></td>
		<td><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
&nbsp;
		</td>
		<td>
&nbsp;
		</td>
	</tr>
</table>
<p>Type in your ASP.NET code below and try your hand at using asp:AdRotator</p>
<form id=CreateASPNET method=POST action="CreateASPNET/CreateASPNET.asp" target="_blank" >
<textarea name="ASPNETData" cols="80" rows="10" style="font-size: 12pt"></textarea><br>
<input type="submit" value="Submit" name="B2"> &nbsp;&nbsp;&nbsp; VB:<input type="radio" value="VB" name="R1">&nbsp;&nbsp;
C#:<input type="radio" name="R1" value="CSharp">&nbsp;&nbsp;
No Language:<input type="radio" name="R1" checked value="None">
</form>
</center>

&nbsp;

</body>

</html>

