<%@ Page Language="vb" Debug="true" AutoEventWireup="false" %>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>LinkButton</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">
</head>

<body>


<p><font size=5><u>LinkButton Web Control</u></font></p>
<p>The LinkButton Web Control creates hyperlink-style buttons that post back to 
the same page on which they origionated.&nbsp;The LinkButton control requires 
some client-side script support in order to function.</p>
<center>
<table cellspacing=1 width="100%" border=1>
  <tr>
    <td bgcolor="#0099cc"><center>Property</center></td>
    <td bgcolor="#0099cc"><center>Value</center></td>
    <td bgcolor="#0099cc"><center>Description</center></td>
  </tr>
  <tr>
    <td><font size=2>Text</font></td>
    <td>
      <p align=center><em><font size=2>"label"</font></em></p></td>
    <td><font size=2>The button caption.</font></td>
  </tr>
  <tr>
    <td><font size=2>Command</font></td>
    <td>
      <p align=center><em><font size=2>"command"</font></em></p></td>
    <td><font size=2>Command that should be bubbled when a 
      button embedded in a container control is clicked. The value set in this 
      property is available as an argument of the <b>OnItemCommand</b> event of 
      the container control. For example, if the <b>LinkButton</b> control is in 
      a <b>DataList</b> control, the <b>Command</b> might be set to "Sort." You 
      can pass additional information using the <b>CommandArgument</b> 
      property.</font></td>
  </tr>
  <tr>
    <td><font size=2>CommandArgument</font></td>
    <td>
      <p align=center><em><font size=2>"commandArgument"</font></em></p></td>
    <td><font size=2>Optional command argument used in 
      conjunction with the value of the <b>Command</b> property. Contains a 
      value that should be bubbled when a button is clicked. For example, if the 
      <b>Command</b> property is set to "Sort," the <b>CommandArgument</b> 
      property might be set to "Ascending" or "Descending."</font></td>
  </tr>
</table><br>

<table cellspacing=1 width="100%" border=1>

<TR VALIGN="top">
<Td bgcolor="#0099cc">
      <p align=center>Event</p></Td>
<Td bgcolor="#0099cc">
      <p align=center>Description</p></Td>
</TR>

<TR VALIGN="top">
<TD width="32%"><font size=2><B>OnClick(</B>Object <I>sender</I>, EventArgs <I>e</I><B>)</B></font></TD>
<TD width="68%"><font size=2>Raised when the user 
      clicks the button. This event always causes the page to be posted to the 
      server. </font><font size=2>The <I>e </I>events argument object has no 
properties.</font>
</TD>
</TR>
</table>
<br>
<table border=1 width=100%>
	<tr>
		<td><b>Example</b></td>
		<td><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
&nbsp;
		</td>
		<td>
&nbsp;
		</td>
	</tr>
</table>
<p>Type in your ASP.NET code below and try your hand at using asp:LinkButton</p>
<form id=CreateASPNET method=POST action="CreateASPNET/CreateASPNET.asp" target="_blank" >
<textarea name="ASPNETData" cols="80" rows="10" style="font-size: 12pt"></textarea><br>
<input type="submit" value="Submit" name="B2"> &nbsp;&nbsp;&nbsp; VB:<input type="radio" value="VB" name="R1">&nbsp;&nbsp;
C#:<input type="radio" name="R1" value="CSharp">&nbsp;&nbsp;
No Language:<input type="radio" name="R1" checked value="None">
</form>
</center>

&nbsp;

</body>

</html>
