<%@ Page Language="vb" Debug="true" AutoEventWireup="false" %>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>ListBox</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">
</head>

<body>

<p><font size=5><u>ListBox</u></font></p>
<p>The ListBox control allows you to display a single-select or multi-select 
listbox.</p>
<center>
<table cellspacing=1 width="100%" border=1>
  <tr>
    <td bgcolor="#0099cc"><center>Property</center></td>
    <td bgcolor="#0099cc"><center>Value</center></td>
    <td bgcolor="#0099cc"><center>Description</center></td>
  </tr>
  <tr>
    <td><font size=2>DataSource</font></td>
    <td>
      <p align=center><font 
      size=2>&lt;%databindingexpression%&gt;</font></p></td>
    <td><font size=2>A data-binding 
      expression that references any object that supports the 
<MSHelp:link tabIndex=0 
      keywords="frlrfSystemCollectionsICollectionClassTopic" 
      errorURL="_topic_not_found.htm">ICollection Interface</MSHelp:link> 
      interface.&nbsp;In ASP.NET syntax, it is preferable to include the 
      data-binding expression in single quotation marks to accommodate quoted 
      expressions.</font></td>
  </tr>
  <tr>
    <td><font size=2>DataTextField</font></td>
    <td>
      <p align=center><em><font size=2>"DataSourceField"</font></em></p></td>
    <td><font size=2>The field or property of the object 
      in <b>DataSource</b> that will be the source of data for the <b>Text</b> 
      property of individual list items.</font></td>
  </tr>
  <tr>
    <td><font size=2>DataValueField</font></td>
    <td>
      <p align=center><i><font size=2>"DataSourceField"</font></i></p></td>
    <td><font size=2>The field or property of the object 
      in <b>DataSource</b> that will be the source of data for the <b>Value</b> 
      property of individual list items.</font></td>
  </tr>
  <tr>
    <td><font size=2>AutoPostBack</font></td>
    <td>
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2><b>True</b> if client-side changes in 
      the control automatically cause a postback to the server; <b>false</b> 
      otherwise. The default is <b>false</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>Rows</font></td>
    <td>
      <p align=center><em><font size=2>"rowcount"</font></em></p></td>
    <td><font size=2>The number of rows to 
    display.</font></td>
  </tr>
  <tr>
    <td><font size=2>SelectionMode</font></td>
    <td>
      <p align=center><font size=2>"Single|Multiple"</font></p></td>
    <td><font><font size=2><b>Single</b> if the user can 
      select only one item; <b>Multiple</b> if the user can hold down SHIFT or 
      CTRL while clicking to select multiple items. When programming, you set 
      this property using the <u>ListBoxSelectionMode</u> 
  enumeration.</font></font></td>
  </tr>
</table><br>

<table cellspacing=1 width="100%" border=1>

<TR VALIGN="top">
<Td bgcolor="#0099cc">
      <p align=center>Event</p></Td>
<Td bgcolor="#0099cc">
      <p align=center>Description</p></Td>
</TR>

<TR VALIGN="top">
<TD width="43%"><font size=2><B>OnSelectedIndexChanged(</B>Object <I>sender</I>, EventArgs <I>e</I>)</font></TD>
<TD width="57%"><font size=2>Raised on the server when the selection of the <B>ListBox</B> control changes. This event does not cause the Web Forms page to be posted to the server unless the <B>AutoPostBack</B> property is set to <B>true</B>. </font><font size=2>The <I>e </I>events argument object has no 
    properties.</font>
</TD>
</TR>
</table>
<br>
<table border=1 width=100%>
	<tr>
		<td><b>Example</b></td>
		<td><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
&nbsp;
		</td>
		<td>
&nbsp;
		</td>
	</tr>
</table>
<p>Type in your ASP.NET code below and try your hand at using asp:ListBox</p>
<form id=CreateASPNET method=POST action="CreateASPNET/CreateASPNET.asp" target="_blank" >
<textarea name="ASPNETData" cols="80" rows="10" style="font-size: 12pt"></textarea><br>
<input type="submit" value="Submit" name="B2"> &nbsp;&nbsp;&nbsp; VB:<input type="radio" value="VB" name="R1">&nbsp;&nbsp;
C#:<input type="radio" name="R1" value="CSharp">&nbsp;&nbsp;
No Language:<input type="radio" name="R1" checked value="None">
</form>
</center>

&nbsp;

</body>

</html>
