<%@ Page Language="vb" Debug="true" %>
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Repeater</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">

<script language="vb" runat="server">
    Sub Page_Load(Sender As Object, Args As EventArgs)
        Dim List, List2, List3 As ArrayList
        List = New ArrayList()
        List.Add("Chocolate")
        List.Add("Vanilla")
        List.Add("Strawberry")
        List.Add("Rocky Road")
        Repeater1.DataSource = List
        Repeater1.DataBind()
        
'        Dim List2 as ArrayList()
        List2 = New ArrayList()
        List2.Add("Red")
        List2.Add("Green")
        List2.Add("Blue")
        List2.Add("Yellow")
        List2.Add("Brown")
        List2.Add("White")
        List2.Add("Black")
        List2.Add("Cyan")
        List2.Add("Magenta")
        Repeater2.DataSource = List2
        Repeater2.DataBind()
        
        List3 = New ArrayList()
        List3.Add("Tallahassee")
        List3.Add("Florida")
        List3.Add("Albany")
        List3.Add("New York")
        List3.Add("Sacramento")
        List3.Add("California")
        List3.Add("Raleigh")
        List3.Add("North Carolina")
        Repeater3.DataSource = List3
        Repeater3.DataBind()
    End Sub
</script>

</head>

<body>

<p><u><font size="5">Repeater Web Control</font></u></p>
<p>The <b>Repeater</b> control is a data-bound list that renders a row for every 
row in the data source. You define the appearance of the <b>Repeater</b> rows 
using templates.</p>
<center>
<table cellspacing=1 width="100%" border=1>
<tr>
<td bgcolor="#0099cc"><center>Properties</center></td>
<td bgcolor="#0099cc"><center>Description</center></td>
</tr>

<TR VALIGN="top">
<TD width="33%"><font size=2>DataSource</font></TD>
<TD width="67%"><font size=2>A data-binding expression that references any object that supports the <U>ICollection</U> interface.&nbsp;</font><font size=2>In 
      ASP.NET syntax, it is preferable to include the data-binding expression in 
      single quotation marks to accommodate quoted expressions.</font>
</TD>
</TR>

<TR VALIGN="top">
<TD width="33%"><font size=2>Items</font></TD>
<TD width="67%"><font size=2>A collection of <B>RepeaterItem</B> objects representing individual rows 
      in the control. </font><font size=2>This property is only used when 
      programming.</font>
</TD>
</TR>

<TR VALIGN="top">
<TD width="33%"><font size=2>DataItem</font></TD>
<TD width="67%"><font size=2>This property is only 
      used when programming.</font></TD>
</TR>

<TR VALIGN="top">
<TD width="33%"><font size=2>ItemIndex</font></TD>
<TD width="67%"><font size=2>Returns a value indicating what row from the <B>DataSource</B> is 
      being rendered. </font><font size=2>This property is only used when 
      programming.</font>
</TD>
</TR>

<TR VALIGN="top">
<TD width="33%"><font size=2>ItemType</font></TD>
<TD width="67%"><font size=2>This property is only 
      used when programming.</font></TD>
</TR>
</table><br>

<table cellspacing=1 width="100%" border=1>

<TR VALIGN="top">
<Td bgcolor="#0099cc"><center>Event</center></Td>
<Td bgcolor="#0099cc"><center>Description</center></Td>
</TR>

<TR VALIGN="top">
<TD width="37%"><font size=2><B>OnItemCreated</B>(Object <I>sender</I>,<B> </B>RepeaterItemCreatedEventArgs <I>e</I>)</font></TD>
<TD width="63%"><font size=2>Raised in the <B>Repeater</B> control each time a new row is created. 
      </font><font size=2>The following are properties of the <I>e</I> events argument object: </font>   

<UL type="disc">
	<LI><font size=2>e.<B>Item</B>&nbsp;&nbsp;&nbsp;(RepeaterItem) </font>

	<LI><font size=2>e.<B>Item.DataItem</B>&nbsp;&nbsp;&nbsp;(Object) </font>

	<LI><font size=2>e.<B>Item.ItemIndex</B>&nbsp;&nbsp;&nbsp;(Integer) The 
        "row" of the Repeater control which is being created. </font>

	<LI><font size=2>e.<B>Item.ItemType</B>&nbsp;&nbsp;&nbsp;(ListItemType) A 
        value indicating the template type of the row being created. 
      </font></LI>
</UL>
</TD>
</TR>

<TR VALIGN="top">
<TD width="37%"><font size=2><B>OnItemCommand</B>(Object <I>sender</I>,<B> </B>RepeaterItemEventArgs <I>e</I>)</font></TD>
<TD width="63%"><font size=2>Raised in the <B>Repeater</B> control when an embedded control raises 
      an event. </font><font size=2>Properties of the <I>e</I> events argument object: </font>   

<UL type="disc">
	<LI><font size=2><I>e</I>.<B>Item</B>&nbsp;&nbsp;&nbsp;(RepeaterItem) </font>

	<LI><font size=2><I>e</I>.<B>Item.DataItem</B>&nbsp;&nbsp;&nbsp;(Object) </font>

	<LI><font size=2><I>e</I>.<B>Item.ItemIndex</B>&nbsp;&nbsp;&nbsp;(Integer) The "row" of the <B>Repeater</B> control in which the 
        embedded control is located. </font>

	<LI><font size=2><I>e</I>.<B>Item.ItemType</B>&nbsp;&nbsp;&nbsp;(ListItemType) A 
        value indicating what template type the embedded control is in. 
        </font></LI>
</UL>
</TD>
</TR>
</table><br><table border=1 width=100%>
	<tr>
		<td><b>Example</b></td>
		<td><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
<p>This is a simple example that only uses the ItemTemplate template type.</p>
<asp:Repeater id=Repeater1 runat="server">
<ItemTemplate name="ItemTemplate1">
<%# Container.DataItem %> <br>
</ItemTemplate>
</asp:Repeater>
		</td>
		<td>
<font SIZE="1" COLOR="#0000c0">&lt;script language</font><font SIZE="1" COLOR="#000000">=&quot;vb&quot;</font><font SIZE="1" COLOR="#0000c0">
runat</font><font SIZE="1" COLOR="#000000">=&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Sub Page_Load(Sender As
Object, Args As EventArgs)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Dim
List As ArrayList<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List
= New ArrayList()<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List.Add(&quot;Chocolate&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List.Add(&quot;Vanilla&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List.Add(&quot;Strawberry&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List.Add(&quot;Rocky
Road&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Repeater1.DataSource
= List<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Repeater1.DataBind()<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">End Sub<br>
</font><font SIZE="1" COLOR="#0000c0">&lt;/script&gt;
<p>&lt;asp:Repeater id=</font><font SIZE="1" COLOR="#000000">Repeater1</font><font SIZE="1" COLOR="#0000c0">
runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
&lt;ItemTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;ItemTemplate1&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">&lt;%#
Container.DataItem %&gt;</font><font SIZE="1" COLOR="#000000"> </font><font SIZE="1" COLOR="#0000c0">&lt;br&gt;<br>
&lt;/ItemTemplate&gt;<br>
&lt;/asp:Repeater&gt;</font>
		</td>
	</tr>
	<tr>
		<td>
<p>This is a more advanced example that uses several template types.</p>
<asp:Repeater id=Repeater2 runat="server">
<HeaderTemplate name="HeaderTemplate1">
   <table border=1 width=90%>
      <tr>
         <td align="center" bgcolor="yellow"><b>Color</b></td>
      </tr>
</HeaderTemplate>

<ItemTemplate name="ItemTemplate2">
	<tr>
		<td align="center" >
		    <%# Container.DataItem %>
    	</td>
    </tr>
</ItemTemplate>

<AlternatingItemTemplate name="AlternatingItemTemplate1">
   <tr>
		<td align="center" bgcolor="lightblue">
			<%# Container.DataItem %>
		</td>
   </tr>
</AlternatingItemTemplate>

<FooterTemplate name="FooterTemplate1">
   </table>
</FooterTemplate>

</asp:Repeater>
		</td>
		<td>
<font SIZE="1" COLOR="#0000c0">&lt;script language</font><font SIZE="1" COLOR="#000000">=&quot;vb&quot;</font><font SIZE="1" COLOR="#0000c0">
runat</font><font SIZE="1" COLOR="#000000">=&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Sub Page_Load(Sender As
Object, Args As EventArgs)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Dim&nbsp;
List2 As ArrayList<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; List2 = New ArrayList()<br>
&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List2.Add(&quot;Red&quot;)<br>
&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List2.Add(&quot;Green&quot;)<br>
&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List2.Add(&quot;Blue&quot;)<br>
&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List2.Add(&quot;Yellow&quot;)<br>
&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List2.Add(&quot;Brown&quot;)<br>
&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List2.Add(&quot;White&quot;)<br>
&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List2.Add(&quot;Black&quot;)<br>
&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List2.Add(&quot;Cyan&quot;)<br>
&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List2.Add(&quot;Magenta&quot;)<br>
&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Repeater2.DataSource
= List2<br>
&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Repeater2.DataBind()<br>
&nbsp;&nbsp;&nbsp; End Sub<br>
</font><font SIZE="1" COLOR="#0000c0">&lt;/script&gt;
<p>&lt;asp:Repeater id=</font><font SIZE="1" COLOR="#000000">Repeater2</font><font SIZE="1" COLOR="#0000c0">
runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
&lt;HeaderTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;HeaderTemplate1&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
&lt;table border=</font><font SIZE="1" COLOR="#000000">1</font><font SIZE="1" COLOR="#0000c0">
width=</font><font SIZE="1" COLOR="#000000">90%</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;tr&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
align=</font><font SIZE="1" COLOR="#000000">&quot;center&quot;</font><font SIZE="1" COLOR="#0000c0"><br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
bgcolor=</font><font SIZE="1" COLOR="#000000">&quot;yellow&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;b&gt;</font><font SIZE="1" COLOR="#000000">Color</font><font SIZE="1" COLOR="#0000c0">&lt;/b&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;/td&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/tr&gt;<br>
&lt;/HeaderTemplate&gt;</p>
<p>&lt;ItemTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;ItemTemplate2&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;tr&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
align=</font><font SIZE="1" COLOR="#000000">&quot;center&quot;</font><font SIZE="1" COLOR="#0000c0">
&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">&lt;%#
Container.DataItem %&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/tr&gt;<br>
&lt;/ItemTemplate&gt;</p>
<p>&lt;AlternatingItemTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;AlternatingItemTemplate1&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;tr&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
align=</font><font SIZE="1" COLOR="#000000">&quot;center&quot;</font><font SIZE="1" COLOR="#0000c0">
bgcolor=</font><font SIZE="1" COLOR="#000000">&quot;lightblue&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">&lt;%#
Container.DataItem %&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/tr&gt;<br>
&lt;/AlternatingItemTemplate&gt;</p>
<p>&lt;FooterTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;FooterTemplate2&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
&lt;/table&gt;<br>
&lt;/FooterTemplate&gt;</font></p>
<font SIZE="1" COLOR="#0000c0">
<p>&lt;/asp:Repeater&gt;</font>
		</td>
	</tr>
	<tr>
		<td>
<p>This example displays two columns.</p>
<asp:Repeater id=Repeater3 runat="server">
<HeaderTemplate name="HeaderTemplate2">
   <table border=1 width=90%>
      <tr>
         <td align="center" bgcolor="yellow"><b>City</b></td>
         <td align="center" bgcolor="yellow"><b>State</b></td>
      </tr>
</HeaderTemplate>

<ItemTemplate name="ItemTemplate3">
	<tr>
		<td align="center" >
		    <%# Container.DataItem %>
    	</td>
		<td align="center" >
		    <%# Container.DataItem %>
    	</td>
    </tr>
</ItemTemplate>

<AlternatingItemTemplate name="AlternatingItemTemplate2">
   <tr>
		<td align="center" bgcolor="lightblue">
			<%# Container.DataItem %>
		</td>
		<td align="center" bgcolor="lightblue">
			<%# Container.DataItem %>
		</td>
   </tr>
</AlternatingItemTemplate>

<FooterTemplate name="FooterTemplate2">
   </table>
</FooterTemplate>

</asp:Repeater>
		</td>
		<td>
<font SIZE="1" COLOR="#0000c0">&lt;script language</font><font SIZE="1" COLOR="#000000">=&quot;vb&quot;</font><font SIZE="1" COLOR="#0000c0">
runat</font><font SIZE="1" COLOR="#000000">=&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Sub Page_Load(Sender As
Object, Args As EventArgs)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Dim&nbsp;
        List2 As ArrayList<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; List3 = New ArrayList()<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List3.Add(&quot;Tallahassee&quot;)<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List3.Add(&quot;Florida&quot;)<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List3.Add(&quot;Albany&quot;)<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List3.Add(&quot;New
        York&quot;)<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List3.Add(&quot;Sacramento&quot;)<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List3.Add(&quot;California&quot;)<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List3.Add(&quot;Raleigh&quot;)<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">List3.Add(&quot;North
        Carolina&quot;)<br>
&nbsp;&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Repeater3.DataSource
= List3<br>
&nbsp;&nbsp;&nbsp;</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Repeater3.DataBind()<br>
&nbsp;&nbsp;&nbsp; End Sub<br>
</font><font SIZE="1" COLOR="#0000c0">&lt;/script&gt;<p>&lt;asp:Repeater id=</font><font SIZE="1" COLOR="#000000">Repeater2</font><font SIZE="1" COLOR="#0000c0">
runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
&lt;HeaderTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;HeaderTemplate1&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
&lt;table border=</font><font SIZE="1" COLOR="#000000">1</font><font SIZE="1" COLOR="#0000c0">
width=</font><font SIZE="1" COLOR="#000000">90%</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;tr&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
align=</font><font SIZE="1" COLOR="#000000">&quot;center&quot;</font><font SIZE="1" COLOR="#0000c0"><br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
bgcolor=</font><font SIZE="1" COLOR="#000000">&quot;yellow&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;b&gt;</font><font SIZE="1" COLOR="#000000">City</font><font SIZE="1" COLOR="#0000c0">&lt;/b&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;/td&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
align=</font><font SIZE="1" COLOR="#000000">&quot;center&quot;</font><font SIZE="1" COLOR="#0000c0"><br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
bgcolor=</font><font SIZE="1" COLOR="#000000">&quot;yellow&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;b&gt;</font><font size="1" color="#000000">State</font><font SIZE="1" COLOR="#0000c0">&lt;/b&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;/td&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/tr&gt;<br>
&lt;/Headertemplate&gt;</p>
<p>&lt;ItemTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;ItemTemplate1&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;tr&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
align=</font><font SIZE="1" COLOR="#000000">&quot;center&quot;</font><font SIZE="1" COLOR="#0000c0">
&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">&lt;%#
Container.DataItem %&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
align=</font><font SIZE="1" COLOR="#000000">&quot;center&quot;</font><font SIZE="1" COLOR="#0000c0">
&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">&lt;%#
Container.DataItem %&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/tr&gt;<br>
&lt;/ItemTemplate&gt;</p>
<p>&lt;AlternatingItemTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;AlternatingItemTemplate3&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;tr&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
align=</font><font SIZE="1" COLOR="#000000">&quot;center&quot;</font><font SIZE="1" COLOR="#0000c0">
bgcolor=</font><font SIZE="1" COLOR="#000000">&quot;lightblue&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">&lt;%#
Container.DataItem %&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
align=</font><font SIZE="1" COLOR="#000000">&quot;center&quot;</font><font SIZE="1" COLOR="#0000c0">
bgcolor=</font><font SIZE="1" COLOR="#000000">&quot;lightblue&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">&lt;%#
Container.DataItem %&gt;<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/tr&gt;<br>
&lt;/AlternatingItemTemplate&gt;</p>
<p>&lt;FooterTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;FooterTemplate3&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
&lt;/table&gt;<br>
&lt;/FooterTemplate&gt;</font></p>
<font SIZE="1" COLOR="#0000c0">
<p>&lt;/asp:Repeater&gt;</font>
		</td>
	</tr>
</table>

&nbsp;
<p align="center">Type in your ASP.NET code below and try your hand at using
asp:Repeater</p>

<form id=CreateASPNET method=POST action="CreateASPNET/CreateASPNET.asp" target="_blank" >
<textarea name="ASPNETData" cols="80" rows="10" style="font-size: 12pt"></textarea><br>
<input type="submit" value="Submit" name="B2"> &nbsp;&nbsp;&nbsp; VB:<input type="radio" value="VB" checked name="R1">&nbsp;&nbsp;
C#:<input type="radio" name="R1" value="CSharp">&nbsp;&nbsp;
No Language:<input type="radio" name="R1" value="None">
</form>
&nbsp;</center>
</body>

</html>
