<%@ Page Language="vb" Debug="true" AutoEventWireup="false" %>
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>TextBox</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">
</head>

<body>
<p><font size=5><u>TextBox Web Control</u></font></p>
<p>The <b>TextBox</b> control generates single- and multi-line text boxes.</p>
<center>
<table cellspacing=1 width="100%" border=1>
  <tr>
    <td bgcolor="#0099cc"><center>Property</center></td>
    <td bgcolor="#0099cc" style="WIDTH: 170px"><center>Value</center></td>
    <td bgcolor="#0099cc"><center>Description</center></td>
  </tr>
  <tr>
    <td><font size=2>AutoPostBack</font></td>
    <td style="WIDTH: 170px">
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2><b>True</b> if client-side changes 
      in the control automatically cause a postback to the server; <b>false</b> 
      otherwise. The default is <b>false</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>Colums</font></td>
    <td style="WIDTH: 170px">
      <p align=center><i><font size=2>"characters"</font></i></p></td>
    <td><font size=2>The width of the control in 
      characters. This property differs from the <b>Width</b>, which sets the 
      absolute width of the control independent of the character 
    spacing.</font></td>
  </tr>
  <tr>
    <td><font size=2>MaxLength</font></td>
    <td style="WIDTH: 170px">
      <p align=center><i><font size=2>"characters"</font></i></p></td>
    <td><font size=2>The maximum number of characters 
      allowed within text box. This property has no effect unless the 
      <b>TextMode</b> property is set to <b>SingleLine</b> or 
      <b>Password</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>Rows</font></td>
    <td style="WIDTH: 170px">
      <p align=center><i><font size=2>"rows"</font></i></p></td>
    <td><font size=2>Number of rows within the text box. 
      This property has no effect unless the <b>TextMode</b> property is set to 
      <b>MultiLine</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>Text</font></td>
    <td style="WIDTH: 170px">
      <p align=center><i><font size=2>"text"</font></i></p></td>
    <td><font size=2>The text that the user has entered 
      into the box.</font></td>
  </tr>
  <tr>
    <td><font size=2>TextMode</font></td>
    <td style="WIDTH: 170px">
      <p align=center><font size=2>"Single | Multiline | Password"</font></p></td>
    <td><font size=2>Indicates whether the text box is in 
      single-line, multi-line, or password mode. Possible values are 
      <b>Single</b>, <b>MultiLine</b>, and <b>Password</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>Wrap</font></td>
    <td style="WIDTH: 170px">
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2>Indicates whether text should wrap 
      around as users type text into a multiline control. This property has no 
      effect unless the <b>TextMode</b> property is set to 
      <b>MultiLine</b>.</font></td>
  </tr>
</table><br>

<table cellspacing=1 border=1 width="100%">
  <tr>
    <td bgcolor="#0099cc"><center>Events</center></td>
    <td bgcolor="#0099cc"><center>Description</center></td>
  </tr>
  <tr>
    <td><font 
      size=2><strong>OnTextChanged(</strong>Object <i>sender</i>, EventArgs 
      <i>e</i><b>)</b></font></td>
    <td><font size=2>Raised on the server when the 
      contents of the text box change. This event does not cause the Web Forms 
      page to be posted to the server unless the <b>AutoPostBack</b> property is 
      set to <b>true</b>. The <i>e </i>events argument object has no 
      properties.</font></td>
  </tr>
</table><br>

<form id="MyForm" method=POST action="textbox.aspx" runat="server">
<table border=1 width=100%>
	<tr>
		<td><b>Example</b></td>
		<td><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
<%
    If len( Request.Form( "MyName2" ) ) > 0 Then
        Response.Write( "<p>(asp:TextBox)<br>Your name is " & _
            Request.Form( "MyName2" ) & "<br>" )
    End If
    If len( Request.Form( "MyName" ) ) > 0 Then
        Response.Write( "<p>(HTML)<br>Your name is " & _
            Request.Form( "MyName" ) & "<br>" )
    End If
%>
<p>(asp:TextBox)<br>Your Name:
    <asp:TextBox runat="server"
        id="MyName2" /></p>
<p>(HTML)<br>Your Name:
    <input type="text"
        name="MyName"></p>
		</td>
		<td>
        <font SIZE="1" COLOR="#800000">&lt;%<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">If len(
        Request.Form( &quot;MyName2&quot; ) ) &gt; 0 Then<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Response.Write(
        &quot;&lt;p&gt;Your name is &quot; &amp; _<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Request.Form(
        &quot;MyName2&quot; ) &amp; &quot;&lt;br&gt;&quot; )<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">End If<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">If len(
        Request.Form( &quot;MyName&quot; ) ) &gt; 0 Then<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Response.Write(
        &quot;&lt;p&gt;Your name is &quot; &amp; _<br>
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        Request.Form( &quot;MyName&quot; ) &amp; &quot;&lt;br&gt;&quot; )<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">End If<br>
        %&gt;<br>
        </font><font SIZE="1" COLOR="#0000c0">&lt;p&gt;</font><font SIZE="1" COLOR="#000000">Your
        Name:<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;asp:TextBox
        runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">id=</font><font SIZE="1" COLOR="#000000">&quot;MyName2&quot;</font><font SIZE="1" COLOR="#0000c0">
        /&gt;&lt;/p&gt;<br>
        &lt;p&gt;</font><font SIZE="1" COLOR="#000000">Your Name:<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;input type=</font><font SIZE="1" COLOR="#000000">&quot;text&quot;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">name=</font><font SIZE="1" COLOR="#000000">&quot;MyName&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;&lt;/p&gt;</font>
		</td>
	</tr>
	<tr>
		<td>
<script language="VB" runat="server">
    Sub ShowTheText(Sender As Object, Args As EventArgs)
        DivText.innerText = UserText.Text
    End Sub
</script>
Persistent Text: <div id="DivText"
    runat="server"> </div><br>
<p><asp:TextBox id="UserText"
    OnTextChanged="ShowTheText"
    runat="server" /></p>
		</td>
		<td>
        <font SIZE="1" COLOR="#0000c0">&lt;script language</font><font SIZE="1" COLOR="#000000">=&quot;VB&quot;</font><font SIZE="1" COLOR="#0000c0">
        runat</font><font SIZE="1" COLOR="#000000">=&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">Sub
        ShowTheText(Sender As Object, Args As EventArgs)<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">DivText.innerText
        = UserText.Text<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">End Sub<br>
        </font><font SIZE="1" COLOR="#0000c0">&lt;/script&gt;<br>
        </font><font SIZE="1" COLOR="#000000">Persistent Text: </font><font SIZE="1" COLOR="#0000c0">&lt;div
        id=</font><font SIZE="1" COLOR="#000000">&quot;DivText&quot;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;</font><font SIZE="1" COLOR="#000000">
        </font><font SIZE="1" COLOR="#0000c0">&lt;/div&gt;&lt;br&gt;<br>
        &lt;p&gt;&lt;asp:TextBox id=</font><font SIZE="1" COLOR="#000000">&quot;UserText&quot;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">OnTextChanged=</font><font SIZE="1" COLOR="#000000">&quot;ShowTheText&quot;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">
        /&gt;&lt;/p&gt;</font>
		</td>
	</tr>
</table>
<center>
  <input type="submit" value="Submit" name="B1">
</center>
</form>
&nbsp;
<p align="center">Type in your ASP.NET code below and try your hand at using
asp:TextBox</p>

<form id=CreateASPNET method=POST action="CreateASPNET/CreateASPNET.asp" target="_blank" >
<textarea name="ASPNETData" cols="80" rows="10" style="font-size: 12pt"></textarea><br>
<input type="submit" value="Submit" name="B2"> &nbsp;&nbsp;&nbsp; VB:<input type="radio" value="VB" name="R1">&nbsp;&nbsp;
C#:<input type="radio" name="R1" value="CSharp">&nbsp;&nbsp;
No Language:<input type="radio" name="R1" checked value="None">
</form>
&nbsp;</center>
</body>

</html>
