<%@ Page Language="vb" Debug="true" AutoEventWireup="false" %>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Button</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">
</head>

<body>
<p><font size=5><u>Button Web Control</u></font></p>
<p>The Button Web control provides a generic pushbutton-style control that 
causes the Web Forms page to be posted back to the server.</p>
<center>
<table cellSpacing=1 width="100%" border=1>
  <tr>
    <td bgColor=#0099cc>
      <center>Property</center></td>
    <td bgColor=#0099cc>
      <center>Value</center></td>
    <td bgColor=#0099cc>
      <center>Description</center></td></tr>
  <tr>
    <td><font size=2>Text</font></td>
    <td>
      <p align=center><em 
      ><font 
      size=2>"text"</font></em></p></td>
    <td><font size=2>The button caption.</font></td></tr>
  <tr>
    <td><font size=2>Command</font></td>
    <td>
      <p align=center><em 
      ><font 
      size=2>"command"</font></em></p></td>
    <td><font size=2>Command that should be bubbled when 
      a button embedded in a container control is clicked. The value set in this 
      property is available as an argument of the <b>OnItemCommand</b> event of 
      the container control. For example, if the <b>Button</b> control is in a 
      <b>DataList</b> control, the <b>Command</b> might be set to "Sort." You 
      can pass additional information using the <b>CommandArgument</b> 
      property.</font></td></tr>
  <tr>
    <td><font size=2>CommandArgument</font></td>
    <td>
      <p align=center><em><font 
      size=2>"commandArgument"</font></em></p></td>
    <td><font size=2>Optional command argument used in 
      conjunction with the value of the <b>Command</b> property. Contains a 
      value that should be bubbled when a button is clicked. For example, if the 
      <b>Command</b> property is set to "Sort," the <b>CommandArgument</b> 
      property might be set to "Ascending" or "Descending."</font></td></tr>
  </table><br>

<table cellspacing=1 border=1 width="100%">
  <tr>
    <td bgcolor="#0099cc" style="WIDTH: 207px"><center>Events</center></td>
    <td bgcolor="#0099cc"><center>Description</center></td>
  </tr>
  <tr>
    <td style="WIDTH: 207px"><font 
      size=2><strong>OnClick(</strong>Object <i>sender</i>, EventArgs 
      <i>e</i><strong>)</strong></font></td>
    <td>
      <p><font size=2>Raised when the user clicks the button. This event always 
      causes the page to be posted to the server. </font>
      <font size=2>The <i>e </i>events argument object has no 
      properties.</font></p></td></tr>
</table><br>
<table border=1 width=100%>
	<tr>
		<td><b>Example</b></td>
		<td><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
&nbsp;
		</td>
		<td>
&nbsp;
		</td>
	</tr>
</table>
<p>Type in your ASP.NET code below and try your hand at using asp:Button</p>
<form id=CreateASPNET method=POST action="CreateASPNET/CreateASPNET.asp" target="_blank" >
<textarea name="ASPNETData" cols="80" rows="10" style="font-size: 12pt"></textarea><br>
<input type="submit" value="Submit" name="B2"> &nbsp;&nbsp;&nbsp; VB:<input type="radio" value="VB" name="R1">&nbsp;&nbsp;
C#:<input type="radio" name="R1" value="CSharp">&nbsp;&nbsp;
No Language:<input type="radio" name="R1" checked value="None">
</form>
</center>

&nbsp;

</body>

</html>
