<%@ Page Language="vb" Debug="true" AutoEventWireup="false" %>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>CheckBoxList</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">
</head>

<body>

<p><font size=5><u>CheckBoxList Web Control</u></font></p>

<p>The CheckBoxList Web control provides a multi-selection check box 
group that can be dynamically generated using data binding.</p>
<center>
<table cellspacing=1 width="100%" border=1>
  <tr>
    <td bgcolor="#0099cc"><center>Property</center></td>
    <td bgcolor="#0099cc"><center>Value</center></td>
    <td bgcolor="#0099cc"><center>Description</center></td>
  </tr>
  <tr>
    <td><font size=2>AutoPostBack</font></td>
    <td>
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2>True if client-side changes in the 
      control automatically cause a postback to the server; false otherwise. The 
      default is false.</font></td>
  </tr>
  <tr>
    <td><font size=2>CellPadding</font></td>
    <td>
      <p align=center><font size=2><em>"pixels"</em></font></p></td>
    <td><font size=2>The amount of 
      space, in pixels, between check boxes. When programming, this property is 
      set using <u>Units</u>.</font></td>
  </tr>
  <tr>
    <td><font size=2>DataSource</font></td>
    <td>
      <p align=center><font size=2>&lt;% databindingexpression 
      %&gt;</font></p></td>
    <td><font size=2>A data-binding 
      expression that references any object that supports the <u>ICollection</u> 
      interface.&nbsp;&nbsp;In ASP.NET syntax, it is preferable to include the 
      data-binding expression in single quotation marks to accommodate quoted 
      expressions.</font></td>
  </tr>
  <tr>
    <td><font size=2>DataTextField</font></td>
    <td>
      <p align=center><font size=2><em>"DataSourceField"</em></font></p></td>
    <td><font size=2>The field or 
      property of the object in <b>DataSource</b> that will be the source of 
      data for the <b>Text</b> property of individual list items.</font></td>
  </tr>
  <tr>
    <td><font size=2>DataValueField</font></td>
    <td>
      <p align=center><font size=2><em>"DataSourceField"</em></font></p></td>
    <td><font size=2>The field or property of the object in 
      <b>DataSource</b> that will be the source of data for the <b>Value</b> 
      property of individual list items.</font></td>
  </tr>
  <tr>
    <td><font size=2>RepeatColumns</font></td>
    <td>
      <p align=center><font size=2><em>"ColumnCount"</em></font></p></td>
    <td><font size=2>The number of 
      columns to use to display the checkboxes. The default is 
    <b>1</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>RepeatDirection</font></td>
    <td>
      <p align=center><font size=2>"Vertical|Horizontal"</font></p></td>
    <td><font size=2>The direction 
      in which check boxes are displayed in the list. If <b>Vertical</b>, the 
      check boxes are ordered top to bottom, like text in a newspaper. If 
      <b>Horizontal</b>, check boxes are ordered left-to-right, like days in a 
      calendar. This property has no effect if <b>RepeatColumns</b> is set to 
      <b>1</b>. The default is <b>Vertical</b>. When programming, this property 
      is set using the <u>RepeatDirection</u> enumeration.</font></td>
  </tr>
  <tr>
    <td><font size=2>RepeatLayout</font></td>
    <td>
      <p align=center><font size=2>"Flow|Table"</font></p></td>
    <td><font size=2>Indicates 
      whether control renders in-line (<b>Flow</b>) or in a table 
      (<b>Table</b>). The default is <b>Table</b>. When programming, this 
      property is set using the <b>RepeatLayout</b> enumeration.</font></td>
  </tr>
  <tr>
    <td><font size=2>TextAlign</font></td>
    <td>
      <p align=center><font size=2>"Right|Left"</font></p></td>
    <td><font size=2>The position of 
      the caption with respect to the check box. The default is <b>Right</b>. 
      When programming, you set this property using the <u>TextAlign</u> 
      enumeration.</font></td>
  </tr>
</table><br>

<table cellspacing=1 width="100%" border=1>

<TR VALIGN="top">
<Td bgcolor="#0099cc"><center>Event</center></Td>
<Td bgcolor="#0099cc"><center>Description</center></Td>
</TR>

<TR VALIGN="top">
<TD width="43%"><font size=2><B>OnSelectedIndexChanged(</B>Object <I>sender</I>, EventArgs <I>e</I>)</font></TD>
<TD width="57%"><font size=2>Raised on the server when a check box in the list is selected. This event does not cause the Web Forms page to be posted to the server unless the <B>AutoPostBack</B> property is set to <B>true</B>. The <I>e </I>events 
      argument object has no 
properties.</font>
</TD>
</TR>
</table><br>
<table border=1 width=100%>
	<tr>
		<td><b>Example</b></td>
		<td><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
&nbsp;
		</td>
		<td>
&nbsp;
		</td>
	</tr>
</table>
<p>Type in your ASP.NET code below and try your hand at using asp:CheckListBox</p>
<form id=CreateASPNET method=POST action="CreateASPNET/CreateASPNET.asp" target="_blank" >
<textarea name="ASPNETData" cols="80" rows="10" style="font-size: 12pt"></textarea><br>
<input type="submit" value="Submit" name="B2"> &nbsp;&nbsp;&nbsp; VB:<input type="radio" value="VB" name="R1">&nbsp;&nbsp;
C#:<input type="radio" name="R1" value="CSharp">&nbsp;&nbsp;
No Language:<input type="radio" name="R1" checked value="None">
</form>
</center>

&nbsp;

</body>

</html>
