<%@ Language="vb" Debug="true" CodeBehind="DataList.vb" %>
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>DataGrid</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">

<script language="vb" runat="server">
	Sub Page_Load(Sender As Object, Args As EventArgs)
    End Sub
</script>

</head>

<body>

<p><font size=5><u>DataGrid Web Control</u></font></p>
<p>The DataGrid Web control is multi-column, data-bound grid. The control 
allows you to define various types of columns, both to lay out the contents of 
the grid (template columns) and to add specific functionality (edit button 
columns, hyperlink columns, and so on). The control also supports a variety of 
options for including paging.</p>
<center>
<table cellspacing=1 width="100%" border=1>
  <tr>
    <td bgcolor="#0099cc"><center>Property</center></td>
    <td bgcolor="#0099cc" style="WIDTH: 189px"><center>Value</center></td>
    <td bgcolor="#0099cc"><center>Description</center></td>
  </tr>
  <tr>
    <td><font size=2>DataSource</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font size=2>"&lt;%# DataBindingExpression 
      %&gt;"</font></p></td>
    <td><font size=2>A data-binding 
      expression that references any object that supports the <u>ICollection</u> 
      interface.&nbsp;In ASP.NET syntax, it is preferable to include the 
      data-binding expression in single quotation marks to accommodate quoted 
      expressions.</font></td>
  </tr>
  <tr>
    <td><font size=2>AllowPaging</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2><b>True</b> if 
      paging is enabled. The default is <b>true</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>AllowSorting</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2><b>True</b> if 
      sorting is enabled on the DataGrid, <b>false</b> otherwise. The default is 
      <b>false</b>. If <b>true</b>, the headers of columns whose 
      <b>SortExpression</b> is set will be rendered as LinkButton controls with 
      the command <b>sort</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>AutoGenerateColumns</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2><b>True</b> if 
      columns will be generated for each bound data field, <b>false</b> 
      otherwise. If other columns are explicitly declared, the auto-generated 
      columns will be appended to the end of the columns collection. The default 
      is <b>true</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>BackImageUrl</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font size=2><em>"url"</em></font></p></td>
    <td><font size=2>The URL of an 
      image to display behind the control.</font></td>
  </tr>
  <tr>
    <td><font size=2>CellPadding</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font size=2><em>"pixels"</em></font></p></td>
    <td><font size=2>The amount of 
      space, in pixels, between cells. When programming, this property is set 
      using <u>Units</u>.</font></td>
  </tr>
  <tr>
    <td><font size=2>CellSpacing</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font size=2><em>"pixels"</em></font></p></td>
    <td><font size=2>The amount of 
      space, in pixels, between the contents of a cell and the cell's border. 
      When programming, this property is set using <u>Units</u>.</font></td>
  </tr>
  <tr>
    <td><font size=2>DataKeyField</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font size=2>"DataSourceKeyField"</font></p></td>
    <td><font size=2>The name of the 
      field in the data source referenced by <b>DataSource</b> that holds the 
      primary key.</font></td>
  </tr>
  <tr>
    <td><font size=2>GridLines</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font 
    size=2>"None|Horizontal|Vertical|Both"</font></p></td>
    <td><font size=2>How grid lines 
      are displayed between items. Possible values include <b>None</b>, 
      <b>Horizontal</b>, <b>Vertical</b>, and <b>Both</b>. The default is 
      <b>None</b>. This property has no effect unless <b>RepeatLayout</b> is set 
      to <b>Table</b>.&nbsp;Gridlines can be displayed only in 
      browsers that support CSS stylesheets. When programming, you set this 
      property using the 
<MSHelp:link tabIndex=0 
      keywords="frlrfSystemWebUIWebControlsGridLinesClassTopic" 
      errorURL="_topic_not_found.htm">GridLines Enumeration</MSHelp:link> 
      enumeration.</font></td>
  </tr>
  <tr>
    <td><font size=2>HorizontalAlign</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font 
      size=2>"Center|Justify|Left|NotSet|Right"</font></p></td>
    <td><font size=2>The alignment 
      of the rows with respect to surrounding text. When programming, you set 
      this property using the <u>HorizontalAlign</u> enumeration.</font></td>
  </tr>
  <tr>
    <td><font size=2>PageSize</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font size=2><em>"ItemCount"</em></font></p></td>
    <td><font size=2>Number of items 
      (records) to display per page.</font></td>
  </tr>
  <tr>
    <td><font size=2>ShowFooter</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2><b>true</b> if 
      the footer should be rendered, <b>false</b> otherwise.</font></td>
  </tr>
  <tr>
    <td><font size=2>ShowHeader</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2><b>true</b> if 
      the header should be rendered, <b>false</b> otherwise.</font></td>
  </tr>
  <tr>
    <td><font size=2>VirtualItemCount</font></td>
    <td style="WIDTH: 189px">
      <p align=center><font size=2><em>"ItemCount"</em></font></p></td>
    <td><font size=2>A user-settable 
      count of the number of rows to display (rather than an actual count based 
      on the rows in the data source). If <b>AllowCustomPaging</b> is 
      <b>true</b>, this property determines the number of pages that will be 
      displayed. In that case, the DataGrid control does not calcuate a starting 
      position based on <b>PageIndex</b>. Instead, the control displays rows 0 
      through <b>PageSize</b> of the data, while its <b>Pager</b> object reports 
      the current position as page <b><i>PageIndex</i></b> of 
      (<b>VirtualItemCount</b>+<b>PageSize</b>-1)/<b>PageSize</b>. If 
      <b>AllowCustomPaging</b> is <b>false</b>, the control will calculate the 
      total page count from the data.</font></td>
  </tr>
</table><br>

<table cellspacing=1 width="100%" border=1>

<TR VALIGN="top">
<Td bgcolor="#0099cc"><center>Event</center></Td>
<Td bgcolor="#0099cc"><center>Description</center></Td>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnCancelCommand(</B>Object <I>sender</I>, DataGridCommandEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised when an event is bubbled to the <B>DataGrid</B> control that was raised by a control whose <B>Command</B> property is <B>cancel</B>. Typically, this is a <B>Button</B> or <B>LinkButton</B> control declared in the <B>EditItemTemplate</B>. 
      </font><font size=2>The following are properties of the <I>e</I> events argument object: </font>   

<UL type="disc">
	<LI><font size=2>e.<B>CommandSource</B>&nbsp;&nbsp;&nbsp;(Object) </font>

	<LI><font size=2>e.<B>Item</B>&nbsp;&nbsp;&nbsp;(DataGridItem) 
        </font> </LI>
</UL>
</TD>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnDeleteCommand(</B>Object <I>sender</I>, DataGridCommandEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised when an event is bubbled to the <B>DataGrid</B> control that was raised by a control whose <B>Command</B> property is <B>delete</B>. Typically, this is a <B>Button</B> or <B>LinkButton</B> control declared in the <B>ItemTemplate</B>. </font><font size=2>For details about the properties of the event argument <I>e</I>, see <B>OnCancelCommand</B> above.</font>
</TD>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnEditCommand(</B>Object <I>sender</I>, DataGridCommandEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised when an event is bubbled to the <B>DataGrid</B> control that was raised by a control whose <B>Command</B> property is <B>edit</B>. Typically, this is a <B>Button</B> or <B>LinkButton</B> control declared in the <B>ItemTemplate</B>. </font><font size=2>For details about the properties of the event argument <I>e</I>, see <B>OnCancelCommand</B> above.</font>
</TD>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnItemCommand(</B>Object <I>sender</I>, DataGridCommandEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised in the <B>DataGrid</B> control when an embedded control raises an event that is not already covered by <B>edit</B>, <B>cancel</B>, <B>delete</B>, or <B>update</B>. </font><font size=2>For details about the properties of the event argument <I>e</I>, see <B>OnCancelCommand</B> above.</font>
</TD>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnItemCreated(</B>Object <I>sender</I>, DataGridItemCreatedEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised on the server 
      each time a control is created. </font><font size=2>The following are properties of the <I>e</I> events argument object: </font>   

<UL type="disc">
	<LI><font size=2>e.<B>Item</B>&nbsp;&nbsp;&nbsp;(DataGridItem) 
        </font> </LI>
</UL>
</TD>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnPageIndexChanged(</B>Object <I>sender</I>, DataGridPageChangedEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised when </font><font 
      size=2>The following are properties of the <I>e</I> 
      events argument object: </font>   

<UL type="disc">
	<LI><font size=2>e.<B>CommandSource</B>&nbsp;&nbsp;&nbsp;(Object) </font>

	<LI><font size=2>e.<B>NewPageIndex</B>&nbsp;&nbsp;&nbsp;(Integer) </font>

	<LI><font size=2>e.<B>OldPageIndex</B>&nbsp;&nbsp;&nbsp;(Integer) 
        </font></LI>
</UL>
</TD>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnSortCommand(</B>Object <I>sender</I>, DataGridSortCommandEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised when </font><font 
      size=2>The following are properties of the <I>e</I> 
      events argument object: </font>   

<UL type="disc">
	<LI><font size=2>e.<B>CommandSource</B>&nbsp;&nbsp;&nbsp;(Object) </font>

	<LI><font size=2>e.<B>SortField</B>&nbsp;&nbsp;&nbsp;(String) 
      </font></LI>
</UL>
</TD>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnUpdateCommand(</B>Object <I>sender</I>, DataGridCommandEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised when an event is bubbled to the <B>DataGrid</B> control that was raised by a control whose <B>Command</B> property is <B>update</B>. Typically, this is a <B>Button</B> or <B>LinkButton</B> control declared in the <B>EditItemTemplate</B>.&nbsp; </font><font size=2>For details about the properties of the event argument <I>e</I>, see <B>OnCancelCommand</B> 
above.</font>
</TD>
</TR>
</table><br>

<table border=1 width=100%>
	<tr>
		<td><b>Example</b></td>
		<td><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
<center>
<p>This is a simple example...</p>
&nbsp;
</center>
		</td>
		<td>
&nbsp;
		</td>
	</tr>
</table>
&nbsp;</center>
</body>

</html>
