<%@ Language="vb" Debug="true" CodeBehind="DataList.vb" %>
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>DataList</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">

<script language="vb" runat="server">
	Dim List as new ArrayList
	Sub Page_Load(Sender As Object, Args As EventArgs)
        List.Add("Moonlight Sonata")
        List.Add("Sympony Fantastique")
        List.Add("Mahler 5th Symphony")
        List.Add("Pictures at an Exhibition")
        List.Add("Bolero")
        DataList1.DataSource = List
        DataList1.DataBind()
        DataList2.DataSource = List
        DataList2.DataBind()
    End Sub
    
    Sub DataList2_ItemCommand(Sender As Object, Args As DataListCommandEventArgs)
		DivText.innerText = "A selection was made"
    End Sub
</script>

</head>

<body>

<p><font size=5><u>DataList Web Control</u></font></p>
<p>The DataList control displays a data-bound list. You can manipulate the 
control's layout by defining templates.</p>
<center>
<table cellspacing=1 width="100%" border=1>
  <tr>
    <td bgcolor="#0099cc"><center>Property</center></td>
    <td bgcolor="#0099cc" style="WIDTH: 165px"><center>Value</center></td>
    <td bgcolor="#0099cc"><center>Description</center></td>
  </tr>
  <tr>
    <td><font size=2>CellPadding</font></td>
    <td style="WIDTH: 165px">
      <p align=center><font size=2><em>"pixels"</em></font></p></td>
    <td><font size=2>The amount of space, in pixels, 
      between cells. This property has no effect unless <b>RepeatLayout</b> is 
      set to <b>Table</b>. <br>When programming, this property is set using 
  <u>Units</u>.</font></td>
  </tr>
  <tr>
    <td><font size=2>CellSpacing</font></td>
    <td style="WIDTH: 165px">
      <p align=center><font size=2><em>"pixels"</em></font></p></td>
    <td><font size=2>The amount of 
      space, in pixels, between the contents of a cell and the cell's border. 
      This property has no effect unless <b>RepeatLayout</b> is set to 
      <b>Table</b>. <br>When programming, this property is set using 
  <u>Units</u>.</font></td>
  </tr>
  <tr>
    <td><font size=2>DataKeyField</font></td>
    <td style="WIDTH: 165px">
      <p align=center><font size=2><em>"DataSourceKeyField"</em></font></p></td>
    <td><font size=2>The name of the 
      field in the data source referenced by <b>DataSource</b> that holds the 
      primary key.</font></td>
  </tr>
  <tr>
    <td><font size=2>DataSource</font></td>
    <td style="WIDTH: 165px">
      <p align=center><font size=2>&lt;% databindingexpression 
    %&gt;</font></p></td>
    <td><font size=2>A data-binding expression that 
      references any object that supports the <u>ICollection</u> interface.</font>
     <font size=2>In ASP.NET syntax, it is preferable to include the data-binding expression 
        in single quotation marks to accommodate quoted expressions.</font></td>
  </tr>
  <tr>
    <td><font size=2>GridLines</font></td>
    <td style="WIDTH: 165px">
      <p align=center><font size=2>None|Horizontal|Vertical|Both</font></p></td>
    <td><font size=2>How grid lines are displayed between items. The default is <b>None</b>. This property has 
      no effect unless <b>RepeatLayout</b> is set to <b>Table</b>. Gridlines can be 
        displayed only in browsers that support CSS stylesheets.
      When programming, this property is set using the <u>GridLinesRule</u> 
      enumeration.</font></td>
  </tr>
  <tr>
    <td><font size=2>RepeatColumns</font></td>
    <td style="WIDTH: 165px">
      <p align=center><font size=2>ColumnCount</font></p></td>
    <td><font size=2>The number of 
      columns to use to display the items. The default is <b>1</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>RepeatDirection</font></td>
    <td style="WIDTH: 165px">
      <p align=center><font size=2>Vertical|Horizontal</font></p></td>
    <td><font size=2>The direction in 
      which items are displayed in the list. If <b>Vertical</b>, the itme are 
      ordered top to bottom, like text in a newspaper. If <b>Horizontal</b>, 
      items are ordered left-to-right, like days in a calendar. This property 
      has no effect if <b>RepeatColumns</b> is set to <b>1</b>. The default is 
      <b>Vertical</b>. When programming, this property is set using the <u>RepeatDirection</u> 
      enumeration.</font></td>
  </tr>
  <tr>
    <td><font size=2>RepeatLayout</font></td>
    <td style="WIDTH: 165px">
      <p align=center><font size=2>Flow|Table</font></p></td>
    <td><font size=2>Indicates whether 
      the control renders in-line (<b>Flow</b>) or in a table (<b>Table</b>). 
      The default is <b>Table</b>. When programming, this property is set using the <b>RepeatLayout</b> 
      enumeration.</font></td>
  </tr>
  <tr>
    <td><font size=2>ShowFooter</font></td>
    <td style="WIDTH: 165px">
      <p align=center><font size=2>True|False</font></p></td>
    <td><font size=2><b>True</b> if 
      the footer should be rendered, <b>false</b> otherwise.</font></td>
  </tr>
  <tr>
    <td><font size=2>ShowHeader</font></td>
    <td style="WIDTH: 165px">
      <p align=center><font size=2>True|False</font></p></td>
    <td><font size=2><b>True</b> if 
      the header should be rendered, <b>false</b> otherwise.</font></td>
  </tr></table><br>

<table cellspacing=1 width="100%" border=1>

<TR VALIGN="top">
<Td bgcolor="#0099cc">
      <p align=center>Event</p></Td>
<Td bgcolor="#0099cc">
      <p align=center>Description</p></Td>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnCancelCommand(</B>Object <I>sender</I>, DataListCommandEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised when an event is bubbled to the <B>DataList</B> control that was raised by a control whose <B>Command</B> property is <B>cancel</B>. Typically, this is a <B>Button</B> or <B>LinkButton</B> control declared in the <B>EditItemTemplate</B>. 
      </font><font size=2>The following are properties of the <I>e</I> events argument object: </font>   

<UL type="disc">
	<LI><font size=2>e.<B>CommandSource</B>&nbsp;&nbsp;&nbsp;(Object) </font>

	<LI><font size=2>e.<B>Item</B>&nbsp;&nbsp;&nbsp;(DataListItem) 
        </font> </LI>
</UL>
</TD>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnDeleteCommand(</B>Object <I>sender</I>, DataListCommandEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised when an event is bubbled to the <B>DataListt</B> control that was raised by a control whose <B>Command</B> property is <B>delete</B>. Typically, this is a <B>Button</B> or <B>LinkButton</B> control declared in the <B>ItemTemplate</B>. 
      </font><font size=2>For details about the properties of the event argument <I>e</I>, see <B>OnCancelCommand</B> above.</font>
</TD>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnEditCommand(</B>Object <I>sender</I>, DataListCommandEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised when an event is bubbled to the <B>DataList</B> control that was raised by a control whose <B>Command</B> property is <B>edit</B>. Typically, this is a <B>Button</B> or <B>LinkButton</B> control declared in the <B>ItemTemplate</B>. 
      </font><font size=2>For details about the properties of the event argument <I>e</I>, see <B>OnCancelCommand</B> above.</font>
</TD>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnItemCommand(</B>Object <I>sender</I>, DataListCommandEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised in the <B>DataList</B> control when an embedded control raises an event that is not already covered by <B>edit</B>, <B>cancel</B>, <B>delete</B>, or <B>update</B>. </font><font size=2>For details about the properties of the event argument <I>e</I>, see <B>OnCancelCommand</B> above.</font>
</TD>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnItemCreated(</B>Object <I>sender</I>, DataListItemCreatedEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised on the server 
      each time a control is created. </font><font size=2>The following are properties of the <I>e</I> events argument object: 
      </font>   

<UL type="disc">
	<LI><font size=2>e.<B>Item</B>&nbsp;&nbsp;&nbsp;(DataListItem) 
        </font> </LI>
</UL>
</TD>
</TR>

<TR VALIGN="top">
<TD width="39%"><font size=2><B>OnUpdateCommand(</B>Object <I>sender</I>, DataListCommandEventArgs <I>e</I><B>)</B></font></TD>
<TD width="61%"><font size=2>Raised when an event is bubbled to the <B>DataList</B> control that was raised by a control whose <B>Command</B> property is <B>update</B>. Typically, this is a <B>Button</B> or <B>LinkButton</B> control declared in the <B>EditItemTemplate</B>. 
      </font><font size=2>For details about the properties of the event argument <I>e</I>, see <B>OnCancelCommand</B> 
above.</font>
</TD>
</TR>
</table><br>

<table border=1 width=100%>
	<tr>
		<td><b>Example</b></td>
		<td><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
<center>
<p>This is a simple example that uses a DataList control.</p>
<asp:DataList id=DataList1 runat="server" ForeColor="Black" AutoPostback="true">

<ItemTemplate name="ItemTemplate1">
	<%# Container.DataItem %> <br>
</ItemTemplate>

</asp:DataList>
</center>
		</td>
		<td>

<font SIZE="1" COLOR="#0000c0">&lt;script language<font SIZE="1" COLOR="#000000">=&quot;vb&quot;</font>
runat<font SIZE="1" COLOR="#000000">=&quot;server&quot;</font>&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">Sub
Page_Load(Sender As Object, Args As EventArgs)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">Dim
List As ArrayList<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">List
= New ArrayList()<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">List.Add(&quot;Moonlight
Sonata&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">List.Add(&quot;Sympony
Fantastique&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">List.Add(&quot;Mahler
5th Symphony&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">List.Add(&quot;Pictures
at an Exhibition&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">List.Add(&quot;Bolero&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">DataList1.DataSource
= List<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">DataList1.DataBind()<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0"><font SIZE="1" COLOR="#800000">End
Sub<br>
</font>&lt;/script&gt;
<p>&lt;asp:DataList id=</font><font SIZE="1" COLOR="#000000">DataList1</font><font SIZE="1" COLOR="#0000c0">
runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">
ForeColor=</font><font SIZE="1" COLOR="#000000">&quot;Black&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;</font></p>
<p><font SIZE="1" COLOR="#0000c0"><br>
&lt;ItemTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;ItemTemplate2&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">&lt;%#
Container.DataItem %&gt;</font><font SIZE="1" COLOR="#000000"> </font><font SIZE="1" COLOR="#0000c0">&lt;br&gt;<br>
&lt;/ItemTemplate&gt;</font></p>
<font SIZE="1" COLOR="#0000c0">
<p>&lt;property name=</font><font SIZE="1" COLOR="#000000">&quot;ItemStyle&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;asp:TableItemStyle
BackColor=</font><font SIZE="1" COLOR="#000000">&quot;White&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/asp:TableItemStyle&gt;<br>
&lt;/property&gt;</font></p>
<font SIZE="1" COLOR="#0000c0">
<p>&lt;/asp:DataList&gt;</font>
		</td>
	</tr>
	<tr>
		<td>
<p>This example is more complex and allows users to select items.</p>
<p><div id="DivText" runat="server">No current selection</div>
<form runat="server">
<asp:DataList id=DataList2 runat="server" ForeColor="Black"
	SelectedItemStyle-BackColor="yellow"
	OnItemCommand="DataList2_ItemCommand" >

<HeaderTemplate name="HeaderTemplate2">
   <table border=1 width=100%>
      <tr>
         <td width=100% align="center" bgcolor="yellow"><b>Musical Composition</b></td>
      </tr>
</HeaderTemplate>

<ItemTemplate name="ItemTemplate3">
	<tr>
		<td align="center" >
		<table>
			<tr>
				<td width=85% align=left>
				    <%# Container.DataItem %>
				</td>
				<td width=15% align=right>
					<font size="2">
				    <asp:LinkButton runat="server" Text="Select" CommandName="select" />
				    </font>
				</td>
			</tr>
		</table>
    	</td>
    </tr>
</ItemTemplate>

<SelectedItemTemplate name="SelectedItemTemplate2">
	<tr>
		<td align="center" bgcolor="red">
		<table>
			<tr>
				<td width=85% align=left>
				    <%# Container.DataItem %>
				</td>
				<td width=15% align=right>
					<font size="2">
				    	Select
				    </font>
				</td>
			</tr>
		</table>
    	</td>
    </tr>
</SelectedItemTemplate>

<FooterTemplate name="FooterTemplate4">
   </table>
</FooterTemplate>

</asp:DataList>
</form>
		
		</td>
		<td>

<font SIZE="1" COLOR="#0000c0">&lt;script language<font SIZE="1" COLOR="#000000">=&quot;vb&quot;</font>
runat<font SIZE="1" COLOR="#000000">=&quot;server&quot;</font>&gt;<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">Sub
Page_Load(Sender As Object, Args As EventArgs)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">Dim
List As ArrayList<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">List
= New ArrayList()<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">List.Add(&quot;Moonlight
Sonata&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">List.Add(&quot;Sympony
Fantastique&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">List.Add(&quot;Mahler
5th Symphony&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">List.Add(&quot;Pictures
at an Exhibition&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">List.Add(&quot;Bolero&quot;)<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">DataList1.DataSource
= List<br>
</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">DataList1.DataBind()<br>
</font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0"><font SIZE="1" COLOR="#800000">End
Sub<br>
</font>&lt;/script&gt;</font><font SIZE="1" COLOR="#800000">
        <p>Sub DataList2_ItemCommand(Sender As Object, Args As
        DataListCommandEventArgs)<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">DivText.innerText
        = DataList2.SelectedItem.DataItem<br>
        End Sub</p>
        </font><font SIZE="1" COLOR="#0000c0">
        <p>&lt;asp:DataList id=</font><font SIZE="1" COLOR="#000000">DataList2</font><font SIZE="1" COLOR="#0000c0">
        runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0"><br>
        &nbsp;&nbsp; ForeColor=</font><font SIZE="1" COLOR="#000000">&quot;Black&quot;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">SelectedItemStyle-BackColor=</font><font SIZE="1" COLOR="#000000">&quot;yellow&quot;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">OnItemCommand=</font><font SIZE="1" COLOR="#000000">&quot;DataList2_ItemCommand&quot;</font><font SIZE="1" COLOR="#0000c0">
        &gt;</font></p>
        <p><font SIZE="1" COLOR="#0000c0">&lt;HeaderTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;HeaderTemplate3&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;table border=</font><font SIZE="1" COLOR="#000000">1</font><font SIZE="1" COLOR="#0000c0">
        width=</font><font SIZE="1" COLOR="#000000">100%</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;tr&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td width=</font><font SIZE="1" COLOR="#000000">100%</font><font SIZE="1" COLOR="#0000c0">
        align=</font><font SIZE="1" COLOR="#000000">&quot;center&quot;</font><font SIZE="1" COLOR="#0000c0"><br>
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; bgcolor=</font><font SIZE="1" COLOR="#000000">&quot;yellow&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;&lt;b&gt;</font><font SIZE="1" COLOR="#000000">Musical
        Composition</font><font SIZE="1" COLOR="#0000c0">&lt;/b&gt;<br>
        &nbsp;&nbsp;&nbsp;&nbsp; &lt;/td&gt;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/tr&gt;<br>
        &lt;/HeaderTemplate&gt;</p>
        <p>&lt;ItemTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;ItemTemplate4&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;tr&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td align=</font><font SIZE="1" COLOR="#000000">&quot;center&quot;</font><font SIZE="1" COLOR="#0000c0">
        &gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;table&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;tr&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
        width=</font><font SIZE="1" COLOR="#000000">85%</font><font SIZE="1" COLOR="#0000c0">
        align=</font><font SIZE="1" COLOR="#000000">left</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">&lt;%#
        Container.DataItem %&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
        width=</font><font SIZE="1" COLOR="#000000">15%</font><font SIZE="1" COLOR="#0000c0">
        align=</font><font SIZE="1" COLOR="#000000">right</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;font
        size=</font><font SIZE="1" COLOR="#000000">&quot;2&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;asp:LinkButton
        runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">
        Text=</font><font SIZE="1" COLOR="#000000">&quot;Select&quot;</font><font SIZE="1" COLOR="#0000c0"><br>
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        Command=</font><font SIZE="1" COLOR="#000000">&quot;select&quot;</font><font SIZE="1" COLOR="#0000c0">
        /&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/font&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/tr&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/table&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/tr&gt;<br>
        &lt;/ItemTemplate&gt;</p>
        <p>&lt;SelectedItemTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;SelectedItemTemplate6&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;tr&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td align=</font><font SIZE="1" COLOR="#000000">&quot;center&quot;</font><font SIZE="1" COLOR="#0000c0">
        &gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;table&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;tr&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
        width=</font><font SIZE="1" COLOR="#000000">85%</font><font SIZE="1" COLOR="#0000c0">
        align=</font><font SIZE="1" COLOR="#000000">left</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#800000">&lt;%#
        Container.DataItem %&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td
        width=</font><font SIZE="1" COLOR="#000000">15%</font><font SIZE="1" COLOR="#0000c0">
        align=</font><font SIZE="1" COLOR="#000000">right</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;font
        size=</font><font SIZE="1" COLOR="#000000">&quot;2&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font size="1">Select</font><font SIZE="1" COLOR="#0000c0"><br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/font&gt;<br>
        </font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/tr&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/table&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/tr&gt;<br>
        &lt;/SelectedItemTemplate&gt;</font></p>
        <font SIZE="1" COLOR="#0000c0">
        <p>&lt;FooterTemplate name=</font><font SIZE="1" COLOR="#000000">&quot;FooterTemplate9&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/table&gt;<br>
        &lt;/FooterTemplate&gt;</p>
        <p>&lt;/asp:DataList&gt;</font>
		</td>
	</tr>
</table>

<p align="center">Type in your ASP.NET code below and try your hand at using
asp:DataList</p>

<form id=CreateASPNET method=POST action="CreateASPNET/CreateASPNET.asp" target="_blank" >
<textarea name="ASPNETData" cols="80" rows="10" style="font-size: 12pt"></textarea><br>
<input type="submit" value="Submit" name="B2"> &nbsp;&nbsp;&nbsp; VB:<input type="radio" value="VB" checked name="R1">&nbsp;&nbsp;
C#:<input type="radio" name="R1" value="CSharp">&nbsp;&nbsp;
No Language:<input type="radio" name="R1" value="None">
</form>
&nbsp;</center>
</body>

</html>
