<%@ Page Language="vb" Debug="true" AutoEventWireup="false" %>
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>TextBox</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">
</head>

<body>

<p><font size=5><u>RadioButton Web Control</u></font>
<p>The <b>RadioButton</b> control creates an individual radio button on the 
page. You can group multiple radio buttons to present mutually exclusive 
choices. You can also use the <b>RadioButtonList</b> control. The 
<b>RadioButtonList</b> control is easier for data binding, while the individual 
<b>RadioButton</b> control gives you greater control over the layout of the 
controls.</p>
<center>
<table cellspacing=1 width="100%" border=1>
  <tr>
    <td bgcolor="#0099cc"><center>Property</center></td>
    <td bgcolor="#0099cc"><center>Value</center></td>
    <td bgcolor="#0099cc"><center>Description</center></td>
  </tr>
  <tr>
    <td><font size=2>AutoPostBack</font></td>
    <td>
      <p align=center><font 
    size=2>"True|False"</font></p></td>
    <td><font size=2><b>true</b> if client-side changes 
      in the control automatically cause a postback to the server; <b>false</b> 
      otherwise. The default is <b>false</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>Checked</font></td>
    <td>
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2><b>true</b> if the radio button is 
      checked, <b>false</b> otherwise. The default is <b>false</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>GroupName</font></td>
    <td>
      <p align=center><i><font size=2>"GroupName"</font></i></p></td>
    <td><font size=2>The name of a group to which the 
      radio button belongs. Radio buttons with the same group name are mutually 
      exclusive.</font></td>
  </tr>
  <tr>
    <td><font size=2>Text</font></td>
    <td>
      <p align=center><i><font size=2>"label"</font></i></p></td>
    <td><font size=2>The radio button 
  caption.</font></td>
  </tr>
  <tr>
    <td><font size=2>TextAlign</font></td>
    <td>
      <p align=center><font size=2>"Right|Left"</font></p></td>
    <td><font size=2>The position of the caption. 
      Possible values are <b>Right</b> and <b>Left</b>" The default is 
      <b>Right</b>. When programming, you set this property using the 
      <u>TextAlign</u> enumeration.</font></td>
  </tr>
</table><br>

<table cellspacing=1 width=100% border=1>

<TR VALIGN="top">
<Td bgcolor="#0099cc">
      <p align=center>Event</p></Td>
<Td bgcolor="#0099cc">
      <p align=center>Description</p></Td>
</TR>

<TR VALIGN="top">
<TD width="35%"><font size=2><B>OnCheckedChanged(</B>Object <I>sender</I>, EventArgs <I>e</I><B>)</B></font></TD>
<TD width="65%"><font size=2>Raised when the user clicks the radio button. This event does not cause the Web Forms page to be posted to the server unless the <B>AutoPostBack</B> property is set to <B>true</B>. </font><font size=2>The <I>e </I>events argument object has no 
    properties.</font>
</TD>
</TR>
</table><br>
<form id="MyForm" method=POST action="checkbox.aspx" runat="server">
<table border=1 width=100%>
	<tr>
		<td width=45%><b>Example</b></td>
		<td width=55%><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
<asp:RadioButton GroupName="T1"
    Text="Vanilla" Checked="true"
    runat="server" /><br>
<asp:RadioButton GroupName="T1"
    Text="Chocolate"
    runat="server" /><br>
<asp:RadioButton GroupName="T1"
    Text="Strawberry"
    runat="server" />
		</td>
		<td>
        <font SIZE="1" COLOR="#0000c0">&lt;asp:RadioButton GroupName=</font><font SIZE="1" COLOR="#000000">&quot;T1&quot;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">Text=</font><font SIZE="1" COLOR="#000000">&quot;Vanilla&quot;</font><font SIZE="1" COLOR="#0000c0">
        Checked=</font><font SIZE="1" COLOR="#000000">&quot;true&quot;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">
        /&gt;&lt;br&gt;<br>
        &lt;asp:RadioButton GroupName=</font><font SIZE="1" COLOR="#000000">&quot;T1&quot;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">Text=</font><font SIZE="1" COLOR="#000000">&quot;Chocolate&quot;</font><font SIZE="1" COLOR="#0000c0">
        Checked=</font><font SIZE="1" COLOR="#000000">&quot;true&quot;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">
        /&gt;&lt;br&gt;<br>
        &lt;asp:RadioButton GroupName=</font><font SIZE="1" COLOR="#000000">&quot;T1&quot;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">Text=</font><font SIZE="1" COLOR="#000000">&quot;Strawberry&quot;</font><font SIZE="1" COLOR="#0000c0">
        Checked=</font><font SIZE="1" COLOR="#000000">&quot;true&quot;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">
        /&gt;</font>
		</td>
	</tr>
</table>
<center>
  <input type="submit" value="Submit" name="B1">
</center>
</form>
&nbsp;<p align="center">Type in your ASP.NET code below and try your hand at using
asp:RadioButton</p>

<form id=CreateASPNET method=POST action="CreateASPNET/CreateASPNET.asp" target="_blank" >
<textarea name="ASPNETData" cols="80" rows="10" style="font-size: 12pt"></textarea><br>
<input type="submit" value="Submit" name="B2"> &nbsp;&nbsp;&nbsp; VB:<input type="radio" value="VB" name="R1">&nbsp;&nbsp;
C#:<input type="radio" name="R1" value="CSharp">&nbsp;&nbsp;
No Language:<input type="radio" name="R1" checked value="None">
</form>
&nbsp;</center>
</body>

</html>
