<%@ Page Language="vb" Debug="true" AutoEventWireup="false" %>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>RadioButtonList</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">
</head>

<body>

<p><font size=5><u>RadioButtonList Web Control</u></font></p>
<p>The <b>RadioButtonList</b> control provides a radio button group that can be 
dynamically generated via databinding. The radio buttons in the list are 
mutually exclusive. You can also use the <b>RadioButton</b> control. The 
<b>RadioButtonList</b> control is easier for data binding, while the individual 
<b>RadioButton</b> control gives you greater control over the layout of the 
controls.</p>
<center>
<table cellspacing=1 width="100%" border=1>
  <tr>
    <td bgcolor="#0099cc"><center>Property</center></td>
    <td bgcolor="#0099cc" style="WIDTH: 163px"><center>Value</center></td>
    <td bgcolor="#0099cc"><center>Description</center></td>
  </tr>
  <tr>
    <td><font size=2>AutoPostBack</font></td>
    <td style="WIDTH: 163px">
      <p align=center><font size=2>"True|False"</font></p></td>
    <td><font size=2><b>true</b> if client-side changes in the control 
      automatically cause a postback to the server; <b>false</b> otherwise. The 
      default is <b>false</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>CellPadding</font></td>
    <td style="WIDTH: 163px">
      <p align=center><i><font size=2>"Pixels"</font></i></p></td>
    <td><font size=2>The amount of space, in pixels, 
      between radio buttons. When programming, this property is set using 
      <u>Units</u>.</font></td>
  </tr>
  <tr>
    <td><font size=2>DataSource</font></td>
    <td style="WIDTH: 163px">
      <p align=center><font 
      size=2>&lt;%<em>databindingexpression</em>%&gt;</font></p></td>
    <td><font size=2>A data-binding expression that 
      references any object that supports the <u>ICollection</u> 
      interface.&nbsp;In ASP.NET syntax, it is preferable to include the 
      data-binding expression in single quotation marks to accommodate quoted 
      expressions.</font></td>
  </tr>
  <tr>
    <td><font size=2>DataTextField</font></td>
    <td style="WIDTH: 163px">
      <p align=center><i><font size=2>"DataSourceField"</font></i></p></td>
    <td><font size=2>The field or property of the object 
      in <b>DataSource</b> that will be the source of data for the <b>Text</b> 
      property of individual list items.</font></td>
  </tr>
  <tr>
    <td><font size=2>DataValueField</font></td>
    <td style="WIDTH: 163px">
      <p align=center><em><font size=2>"DataSourceField"</font></em></p></td>
    <td><font size=2>The field or property of the object 
      in <b>DataSource</b> that will be the source of data for the <b>Value</b> 
      property of individual list items.</font></td>
  </tr>
  <tr>
    <td><font size=2>RepeatColumns</font></td>
    <td style="WIDTH: 163px">
      <p align=center><font size=2><em>"ColumnCount"</em></font></p></td>
    <td><font size=2>The number of columns to use to 
      display the radio buttons. The default is <b>1</b>.</font></td>
  </tr>
  <tr>
    <td><font size=2>RepeatDirection</font></td>
    <td style="WIDTH: 163px">
      <p align=center><font size=2>"Vertical|Horizontal"</font></p></td>
    <td><font size=2>The direction in which radio button 
      are displayed in the list. If <b>Vertical</b>, the radio buttons are 
      ordered top to bottom, like text in a newspaper. If <b>Horizontal</b>, 
      radio buttons are ordered left-to-right, like days in a calendar. This 
      property has no effect if <b>RepeatColumns</b> is set to <b>1</b>. The 
      default is <b>Vertical</b>. When programming, this property is set using 
      the <u>RepeatDirection</u> enumeration.</font></td>
  </tr>
  <tr>
    <td><font size=2>RepeatLayout</font></td>
    <td style="WIDTH: 163px">
      <p align=center><font size=2>"Flow|Table"</font></p></td>
    <td><font size=2>Indicates whether control renders 
      in-line (<b>Flow</b>) or in a table (<b>Table</b>). The default is 
      <b>Table</b>. When programming, this property is set using the 
      <b>RepeatLayout</b> enumeration.</font></td>
  </tr>
  <tr>
    <td><font size=2>TextAlign</font></td>
    <td style="WIDTH: 163px">
      <p align=center><font size=2>"Right|Left"</font></p></td>
    <td><font size=2>The position of the caption with 
      respect to the radio button. The default is <b>Right</b>. When 
      programming, you set this property using the <u>TextAlign</u> 
      enumeration.</font></td>
  </tr>
</table><br>

<table cellspacing=1 width="100%" border=1>

<TR VALIGN="top">
<Td bgcolor="#0099cc">
      <p align=center>Event</p></Td>
<Td bgcolor="#0099cc">
      <p align=center>Description</p></Td>
</TR>

<TR VALIGN="top">
<TD width="43%"><font size=2><B>OnSelectedIndexChanged(</B>Object <I>sender</I>, EventArgs <I>e</I>)</font></TD>
<TD width="57%"><font size=2>Raised on the server when a check box in the list is selected. This event does not cause the Web Forms page to be posted to the server unless the <B>AutoPostBack</B> property is set to <B>true</B>. </font><font size=2>The <I>e </I>events argument object has no 
    properties.</font>
</TD>
</TR>
</table><br>
<table border=1 width=100%>
	<tr>
		<td><b>Example</b></td>
		<td><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
&nbsp;
		</td>
		<td>
&nbsp;
		</td>
	</tr>
</table>
<p>Type in your ASP.NET code below and try your hand at using asp:RadioButtonList</p>
<form id=CreateASPNET method=POST action="CreateASPNET/CreateASPNET.asp" target="_blank" >
<textarea name="ASPNETData" cols="80" rows="10" style="font-size: 12pt"></textarea><br>
<input type="submit" value="Submit" name="B2"> &nbsp;&nbsp;&nbsp; VB:<input type="radio" value="VB" name="R1">&nbsp;&nbsp;
C#:<input type="radio" name="R1" value="CSharp">&nbsp;&nbsp;
No Language:<input type="radio" name="R1" checked value="None">
</form>
</center>

&nbsp;

</body>

</html>
