<%@ Page Language="vb" Debug="true" AutoEventWireup="false" %>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>RegularExpressionValidator</title>
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<!--mstheme--><link rel="stylesheet" href="file:///C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/FrontPageTempDir/mstheme/tabs/tabs1110.css">
<meta name="Microsoft Theme" content="tabs 1110, default">
<meta name="Microsoft Border" content="tlb, default">
</head>

<body>

<p><font size=5><u>RegularExpression Validator</u></font></p>
<p>Checks if the value of the associated input control matches the pattern of a 
regular expression.</p>
<center>
<table cellspacing=1 width="100%" border=1>
<tr>
  <td bgcolor="#0099cc"><center>Properties</center></td>
  <td bgcolor="#0099cc"><center>Description</center></td>
</tr>

<TR VALIGN="top">
<TD width=35%><font 
      size=2>AccessKey</font></TD>
<TD ><font size=2>Gets or sets the 
      keyboard shortcut key (AccessKey) for setting focus to the Web 
      control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Attributes</font></TD>
<TD ><font size=2>Gets the collection of 
      arbitrary attributes (for rendering only) that do not correspond to 
      properties on the control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>BackColor</font></TD>
<TD ><font size=2>Gets or sets the 
      background color of the Web control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>BorderColor</font></TD>
<TD ><font size=2>Gets or sets the border 
      color of the Web control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>BorderStyle</font></TD>
<TD ><font size=2>Gets or sets the border 
      style of the Web control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>BorderWidth</font></TD>
<TD ><font size=2>Gets or sets the border 
      width of the Web control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>ClientID</font></TD>
<TD ><font size=2>Indicates the control 
      identifier generated by the ASP.NET framework. This property is 
      read-only.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Controls</font></TD>
<TD ><font size=2>Gets a ControlCollection 
      object that represents the child controls for a specified control in the 
      UI hierarchy.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>ControlStyle</font></TD>
<TD ><font size=2>Gets the style of the 
      Web control. This property is primarily used by control 
    developers.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>ControlToValidate</font></TD>
<TD ><font size=2>Gets or sets the control 
      to validate.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>CssClass</font></TD>
<TD ><font size=2>Gets or sets the CSS 
      class rendered by the Web control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>DataBindings</font></TD>
<TD ><font size=2>Indicates a collection 
      of all data bindings on the control. This property is 
  read-only.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Display</font></TD>
<TD ><font size=2>Gets or sets the display 
      behavior of the validator control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Enabled</font></TD>
<TD ><font size=2>Gets or sets a value 
      that indicates whether the validation for the control is 
  enabled.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>ErrorMessage</font></TD>
<TD ><font size=2>Gets or sets the text 
      for the error message.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Font</font></TD>
<TD ><font size=2>Gets font information of 
      the Web control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>ForeColor</font></TD>
<TD ><font size=2>Gets or sets the text 
      color of validation messages.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Height</font></TD>
<TD ><font size=2>Gets or sets the height 
      of the Web control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>ID</font></TD>
<TD ><font size=2>Gets or sets the 
      identifier for the control. Setting the property on a control allows 
      programmatic access to the control's properties. If this property is not 
      specified on a control, either declaratively or programmatically, then you 
      cannot write event handlers and the like for the control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>IsValid</font></TD>
<TD ><font size=2>Gets or sets a flag to 
      indicate if the referenced control passed validation.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>MaintainState</font></TD>
<TD ><font size=2>Gets or sets a value 
      indicating whether the control should maintain its view state, and the 
      view state of any child control in contains, when the current page request 
      ends.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>NamingContainer</font></TD>
<TD ><font size=2>Gets or sets a reference 
      to the current control's naming container.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Page</font></TD>
<TD ><font size=2>Gets the </font><font 
      size=2>Page</font><font size=2> object that contains the current 
      control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Parent</font></TD>
<TD ><font size=2>Gets the current 
      control's parent control in the UI hierarchy.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Site</font></TD>
<TD ><font size=2>Indicates the site 
      information for the control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Style</font></TD>
<TD ><font size=2>Gets a collection of 
      text attributes that will be rendered as a style attribute on the outer 
      tag of the Web control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>TabIndex</font></TD>
<TD ><font size=2>Gets or sets the tab 
      index of the Web control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Text</font></TD>
<TD ><font size=2>Gets or sets the text 
      content of the </font><font 
      size=2>Label</font><font size=2> control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>ToolTip</font></TD>
<TD ><font size=2>Gets or sets the tool 
      tip for the Web control to be displayed when the mouse cursor is over the 
      control.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>UniqueID</font></TD>
<TD ><font size=2>Gets the unique, 
      hierarchically-qualified identifier for a control. This is different from 
      the ID property, in that the fully-qualified identifier includes the 
      identifier for the control's naming container.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>ValidationExpression</font></TD>
<TD ><font size=2>Gets or sets the regular 
      expression assigned to be the validation criteria.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Visible</font></TD>
<TD ><font size=2>Gets or sets a value 
      that indicates whether a control should be rendered on the 
  page.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Width</font></TD>
<TD ><font size=2>Gets or sets the width 
      of the Web control.</font></TD>
</TR>
</table><br>

<table cellspacing=1 width="100%" border=1>
<tr>
  <td bgcolor="#0099cc"><center>Event</center></td>
  <td bgcolor="#0099cc"><center>Description</center></td>
</tr>

<TR VALIGN="top">
<TD width=35%><font 
      size=2>DataBinding</font>()<font size=2></font></TD>
<TD ><font size=2>Occurs when the control 
      binds to a data source. Notifies the control to perform any data binding 
      during this event.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Init</font>()<font size=2></font></TD>
<TD ><font size=2>Occurs when the control 
      is initialized, the first step in the page lifecycle. Controls should 
      perform any initialization steps that are required to create and set up an 
      instantiation.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Load</font>()<font size=2></font></TD>
<TD ><font size=2>Occurs when the control 
      is loaded to the </font><font 
      size=2>Page</font><font size=2> object. Notifies the control to 
      perform any steps that need to occur on each page request.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>PreRender</font>()<font size=2></font></TD>
<TD ><font size=2>Occurs when the control 
      is about to render. Controls should perform any pre-rendering steps 
      necessary before saving view state and rendering content to the </font><font 
      size=2>Page</font><font size=2> object.</font></TD>
</TR>

<TR VALIGN="top">
<TD ><font 
      size=2>Unload</font>()<font size=2></font></TD>
<TD ><font size=2>Occurs when the control 
      is unloaded from memory. Controls should perform any final cleanup before 
      this instance of it is</font></TD>
</TR>
</table><br>
<table border=1 width=100%>
	<tr>
		<td><b>Example</b></td>
		<td><b>Source Code</b></td>
	</tr>
	<tr>
		<td>
<center>
<form runat="server">
<table>
  <tr>
	<td width="50%">
Enter a five digit zip code:
<asp:TextBox id="TextBox1" runat="server" />	
	</td>
	<td width="50%">
<asp:RegularExpressionValidator id="REV1" runat="server"
	ControlToValidate="TextBox1"
	ValidationExpression="^\d(5)$"
	Display="Static" >
Zip code must be 5 numeric digits.
</asp:RegularExpressionValidator>
	</td>
  </tr>
</table>
</form>
</center>
		</td>
		<td>

        <font SIZE="1" COLOR="#0000c0">&lt;center&gt;<br>
        &lt;form runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        &lt;table&gt;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;tr&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td width=</font><font SIZE="1" COLOR="#000000">&quot;50%&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        </font><font SIZE="1" COLOR="#000000">Enter a five digit zip code:<br>
        </font><font SIZE="1" COLOR="#0000c0">&lt;asp:TextBox id=</font><font SIZE="1" COLOR="#000000">&quot;TextBox1&quot;</font><font SIZE="1" COLOR="#0000c0">
        runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;</font><font SIZE="1" COLOR="#0000c0">
        /&gt;<br>
        </font><font size="1" color="#000000">&nbsp;&nbsp;&nbsp; </font><font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;td width=</font><font SIZE="1" COLOR="#000000">&quot;50%&quot;</font><font SIZE="1" COLOR="#0000c0">&gt;<br>
        &lt;asp:RegularExpressionValidator id=</font><font SIZE="1" COLOR="#000000">&quot;REV1&quot;</font><font SIZE="1" COLOR="#0000c0">
        runat=</font><font SIZE="1" COLOR="#000000">&quot;server&quot;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">ControlToValidate=</font><font SIZE="1" COLOR="#000000">&quot;TextBox1&quot;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">ValidationExpression=</font><font SIZE="1" COLOR="#000000">&quot;^\d(5)$&quot;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">Display=</font><font SIZE="1" COLOR="#000000">&quot;Static&quot;</font><font SIZE="1" COLOR="#0000c0">
        &gt;<br>
        </font><font SIZE="1" COLOR="#000000">Zip code must be 5 numeric digits.<br>
        </font><font SIZE="1" COLOR="#0000c0">&lt;/asp:RegularExpressionValidator&gt;<br>
        </font>&nbsp;&nbsp;&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/td&gt;<br>
        </font>&nbsp; <font SIZE="1" COLOR="#0000c0">&lt;/tr&gt;<br>
        &lt;/table&gt;<br>
        &lt;/form&gt;<br>
        &lt;/center&gt;</font>

		</td>
	</tr>
</table>
<p>Type in your ASP.NET code below and try your hand at using asp:RegularExpressionValidator</p>
<form id=CreateASPNET method=POST action="CreateASPNET/CreateASPNET.asp" target="_blank" >
<textarea name="ASPNETData" cols="80" rows="10" style="font-size: 12pt"></textarea><br>
<input type="submit" value="Submit" name="B2"> &nbsp;&nbsp;&nbsp; VB:<input type="radio" value="VB" name="R1">&nbsp;&nbsp;
C#:<input type="radio" name="R1" value="CSharp">&nbsp;&nbsp;
No Language:<input type="radio" name="R1" checked value="None">
</form>
</center>


&nbsp;


</body>

</html>
